comment {
  simon.FRM - Simon's example fractal styles
  Recently updated to add julia types
}

burningship {
  ; SMF to demonstrate how to do it.
  if (ismand)
    p = 0-pixel
    z = p
  else
    p = 0-p1
    z = 0-pixel
  endif:
  z = abs(z)
  z = z * z + p
  |z| < 4
}

kungfupanda {
  ; burning ship variant
  ; SMF abs(z*z) in place of abs(z).
  if (ismand)
    p = 0-pixel
    z = p
  else
    p = 0-p1
    z = 0-pixel
  endif:
  z = abs(z*z)
  z = z * z + p
  |z| < 4
}

kungfupanda2 {
  ; burning ship variant
  ; SMF abs(z*z*z) in place of abs(z).
  ; and then uses power 2
  if (ismand)
    p = 0-pixel
    z = p
  else
    p = 0-p1
    z = 0-pixel
  endif:
  z = abs(z*z*z)
  z = z * z + p
  |z| < 4
}

kungfupanda3 {
  ; burning ship variant
  ; SMF abs(z*z*z) in place of abs(z).
  ; and then uses power 3
  if (ismand)
    p = 0-pixel
    z = p
  else
    p = 0-p1
    z = 0-pixel
  endif:
  z = abs(z*z*z)
  z = z * z * z + p
  |z| < 4
}

kungfupanda4 {
  ; burning ship variant
  ; SMF abs(z*z) in place of abs(z)
  ; and then uses power 3
  if (ismand)
    p = 0-pixel
    z = p
  else
    p = 0-p1
    z = 0-pixel
  endif:
  z = abs(z*z)
  z = z * z * z + p
  |z| < 4
}

kungfupanda5 {
  ; burning ship variant
  ; SMF abs(z*z) in place of abs(z)
  ; and then uses power 4
  if (ismand)
    p = 0-pixel
    z = p
  else
    p = 0-p1
    z = 0-pixel
  endif:
  z = abs(z*z)
  z = z * z * z * z + p
  |z| < 4
}

kungfupanda6 {
  ; burning ship variant
  ; SMF abs(z*z*z) in place of abs(z)
  ; and then uses power 4
  if (ismand)
    p = 0-pixel
    z = p
  else
    p = 0-p1
    z = 0-pixel
  endif:
  z = abs(z*z*z)
  z = z * z * z * z + p
  |z| < 4
}

kungfupanda7 {
  ; burning ship variant
  ; SMF abs(z*z*z*z) in place of abs(z)
  ; and then uses power 4
  if (ismand)
    p = 0-pixel
    z = p
  else
    p = 0-p1
    z = 0-pixel
  endif:
  z = abs(z*z*z*z)
  z = z * z * z * z + p
  |z| < 4
}

simon0001 {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif
  sp=c*c:
  z = z * z + z - c - sp
  |z| < 4
}

simon0002 {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif
  cp=cos(c):
  z = z * z + z^(cp+z) + c
  |z| < 3
}

simon0003 {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif
  cz=cos(c):
  z = z*z+z^cz+c
  |z| < 3
}

simon0004 {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif
  tp=tan(c):
  z = (z*(z^c+tp))+z
  |z| < 4
}

simon0005 {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif
  sp=sqr(c):
  z = z*z + z/sp + c
  |z| < 4
}

simon0006 {
  ; SMF - Added julia 24/04/2012
  ;       (works alright)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif
  cp=cos(c):
  z = z ^ z + (z/cp) + c
  |z| < 4
}

simon0007 {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif:
  z = z*z+p/sin(z)
  |z| < 4
}

simon0007-B {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif
  z = 1/(z/sin(z)):
  z = z*z+p/sin(z)
  |z| < 4
}

simon0007-C {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif
  z = 1/(z^sin(z)):
  z = z*z+p/log(z)
  |z| < 4
}

simon0008 {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif:
  z = (z*z*z)/(sin(p)/cos(p))+flip(p) + p
  |z| < 4
}

simon0009 {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif
  sz=sin(p)
  cz=cos(p)
  tz=tan(p):
  z = z*z+(sz-cz)^tz
  |z| < 4
}

simon0010 {
  ; SMF -  Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = flip(z*z)+c
  |z| < 4
}

simon0011-A {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif
  sz=sqrt(c)
  sc=sin(c):
  z = z*z+(sc*sz)
  |z| < 4
}

simon0011-B {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif
  ec=exp(c)
  lc=log(c)
  ac=abs(c)
  z = z*lc/ac*(lc^ac^ec):
  z = 1/(z*z+c)
  |z| < 4
}

simon0012-A {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif
  sc=sqrt(c)
  tc = tan(c)
  z = abs(z*p2):
  z = z * z + tc^sc
  |z| < 4
}

simon0012-B {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  sz=sqrt(c)
  z = z * z + tan(c)^sz + c
  |z| < 4
}

simon0013 {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = pixel
  else
    c = p1
  endif:
  z = z * sin(c+z) + z + c
  |z| < 4
}

simon0014 {
  ; SMF - Added julia 24/04/2012
  ;       (works alright)
  z = 0, c = sqrt(pixel)
  if (ismand)
    p = pixel
  else
    p = p1
  endif:
  z = z * z + p-c
  |z| < 40
}

simon0015-A {
  ; SMF - Added julia 24/04/2012
  ;       (works alright)
  z = pixel
  if (ismand)
    i=flip(z)
  else
    i=flip(p1)
  endif:
  z = (z * z + i/z)*.175
  i = i + 1
  |z| < 40
}

simon0015-Av {
  ; SMF - Added julia 24/04/2012
  ;       (works alright)
  ; default p2 to (z0.175,0)
  z = pixel
  if (ismand)
    i=flip(z)
  else
    i=flip(p1)
  endif:
  z = (z * z + i/z)*p2
  i = i + 1
  |z| < 40
}

simon0015-B {
  ; SMF - Added julia 24/04/2012
  ;       (works alright)
  z = pixel
  if (ismand)
    i=flip(z)
  else
    i=flip(p1)
  endif:
  z = (z * z + i/z)*(0.175,0.175)
  i = i + 1
  |z| < 40
}

simon0015-C {
  ; SMF - Added julia 24/04/2012
  ;       (works alright)
  z = pixel
  if (ismand)
    i=flip(z)
  else
    i=flip(p1)
  endif:
  z = (z * z + i/z)*.175
  i = i + (1,1)
  |z| < 40
}

simon0015-D {
  ; SMF - Added julia 24/04/2012
  ;       (works alright)
  z = pixel
  if (ismand)
    i=flip(z)
  else
    i=flip(p1)
  endif:
  z = (z * z + i/z)*(0.175,0.175)
  i = i + (0.1,0.1)
  |z| < 40
}

simon0016 {
  ; SMF - Added julia 24/04/2012
  ;       (works alright)
  z = pixel
  if (ismand)
    p = pixel
  else
    p = p1
  endif
  sp=sin(p):
  z = z*z+sp+(z-sqrt(z))
  |z| > 0
}

simon0017 {
  ; SMF - Added julia 24/04/2012
  ;       (works alright)
  z = pixel
  if (ismand)
    c = pixel
  else
    c = p1
  endif:
  z = z*z+z^log(z) + c
  |z| < 9 
}

simon0018 {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = pixel
  else
    c = p1
  endif
  x = 1/c:
  z = z*(z+x)+c
  |z| < 4
}

simon0019 {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif
  x = 1/c:
  z = (z*z)/(z-x)+c
  |z| < 4
}

simon0020-A {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif
  x = 1/c:
  z = z*z + 1/((z+c)-x)
  |z| < 4
}

simon0020-B {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif
  x = 1/c:
  z = 1/((z*z+c)-x)
  |z| < 4
}

simon0021 {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = z*z + 1/(z^2+c)
  |z| < 4
}

simon0021-A {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = z*z + 1/(z^2+c)
  |z| < 4
}

simon0021-B {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = z*z + (1,1)/(z*z+c)
  |z| < 4
}

simon0022 {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = acosh(z)
  else
    c = acosh(p1)
  endif:
  z = z*z + (z^c)-z
  |z| < 4
}

simon0023 {
  ; SMF - Added julia 24/04/2012
  ;       (works alright)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif
  sp = sin(c):
  z = z * z + flip(sp/c)+c
  |z| < 9
}

simon0024 {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  i = pixel
  if (ismand)
    p = i
  else
    p = p1
  endif
  z = (flip(real(p))+imag(p))/i:
  i = i + p
  z = z * z + (i/z) + p
  |z| < 4
}

simon0025 {
  ; SMF - Added julia 30/04/2012
  ;       (works really well)
  i = 0
  if (ismand)
    c = 0
    p = pixel
    z = real(p)+flip(sin(imag(p)))
  else
    c = pixel
    z = real(p1)+flip(sin(imag(p1)))
  endif:
  i = i + (0.1,0.1)
  z = z * z + z*i + c
  |z| < 4
}

simon0026-A {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = abs((-1,0.5)*(z * z) + z-c*c)
  |z| < 4
}

simon0026-B {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  ;
  ; Default: set p2 to (-1,0.5)
  z = pixel
  ;if (p2==(0,0))
  ;  p2 = (-1,0.5)
  ;endif

  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = abs(p2*(z * z) + z-c*c)
  |z| < 4
}

simon0026-C {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = (-1,0.5)/abs((z * z) + z-c*c)
  |z| < 4
}

simon0026-D {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = p2/abs((z * z) + z-c*c)
  |z| < 4
}

simon0026-E {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = abs((-1,0.5)*(z*z*z) + z-c*c)
  |z| < 4
}

simon0026-F {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  ;
  ; Default: set p2 to (-1,0.5)
  z = pixel
  ;if (p2==(0,0))
  ;  p2 = (-1,0.5)
  ;endif

  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = abs(p2*(z*z*z) + z-c*c)
  |z| < 4
}

simon0026-G {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = (-1,0.5)/abs((z*z*z) + z-c*c)
  |z| < 4
}

simon0026-H {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = p2/abs((z*z*z) + z-c*c)
  |z| < 4
}

simon0027 {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = abs(z)
  else
    c = abs(p1)
  endif:
  z = z * z + c * flip(z)
  |z| < 4
}

simon0028 {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = z * z + sqrt(z * c)
  |z| < 40
}

simon0029 {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = cos(z)
  else
    c = cos(p1)
  endif:
  z = z * z + z/c
  |z| < 30
}

simon0030-A {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = 0 - pixel
  if (ismand)
    c = z
  else
    c = 0 - p1
  endif:
  z = abs(z * z + c) + c
  |z| < 4
}

simon0030-B {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = abs(z * z + c) + flip(c)
  |z| < 4
}

simon0030-C {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = flip(z)
  else
    c = flip(p1)
  endif:
  z = abs(z * z + c) + flip(c)
  |z| < 4
}

simon0030-D {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = flip(pixel)
  if (ismand)
    c = flip(z)
  else
    c = flip(p1)
  endif:
  z = abs(z * z + c) + flip(c)
  |z| < 4
}

simon0031-A {
  ; SMF - Added julia 24/04/2012
  ;       (works alright)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = abs(z * z) * c - z
  |z| < 400
}

simon0031-B {
  ; SMF - Added julia 24/04/2012
  ;       (works alright)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = abs(z * z * c) - z
  |z| < 400
}

simon0031-C {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = z * z + abs(c - z)
  |z| < 400
}

simon0032-A {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  c = (0.3,0.3)
  z = flip(pixel)
  if (ismand)
    p = pixel
  else
    p = p1
  endif:
  z = z * z + z - abs(c * p + z)
  |z| < 50
}

simon0032-B {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  c = (-0.3,0.3)
  z = flip(pixel)
  if (ismand)
    p = pixel
  else
    p = p1
  endif:
  z = z * z + abs(c * p + z)
  |z| < 50
}

simon0033-A {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = abs(z) * abs(z) - c + z
  |z| < 5
}

simon0033-B {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = abs(z * z) - c + z
  |z| < 5
}

simon0034-A {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = flip(abs(z*z-flip(c)))+c
  |z| < 5
}

simon0034-B {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = flip(abs(z*z-c))+c
  |z| < 5
}

simon0035 {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z * z
  else
    p = p1 * p1
  endif:
  z = z * z + abs(p)
  p = p * p + abs(z)
  |z| < 4
}

simon0036 {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif:
  z = z * z + flip(z-p)
  |z| < 4
}

simon0037 {
  ; SMF - Added julia 24/04/2012
  ;       (works alright)
  z = pixel
  r = real(pixel)
  i = imag(pixel)
  ;c = z + i + flip(r)
  if (ismand)
    c = z + i + flip(r)
  else
    c = p1 + i + flip(r)
  endif:
  z = z * z - c + z
  |z| < 400
}

simon0038-A {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = z * z + c + flip(z)
  |z| < 4
}

simon0038-B {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = abs(z * z) + c + flip(z)
  |z| < 4
}

simon0038-C {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = abs(z * z + c + flip(z))
  |z| < 4
}

simon0038-D {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = abs(z * z - c +flip(z))
  |z| < 4
}

simon0039-A {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  if (ismand)
    c = abs(flip(pixel))
    z = flip(c)
  else
    c = abs(flip(p1))
    z = pixel
  endif:
  z = z * z - z + c
  |z| < 4
}

simon0039-B {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = abs(flip(pixel))
  if (ismand)
    c = z
  else
    c = abs(flip(p1))
  endif:
  z = z * z - z + c
  |z| < 4
}

simon0039-C {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  if (ismand)
    c = flip(abs(flip(pixel)))
    z = flip(c)
  else
    c = flip(abs(flip(p1)))
    z = flip(pixel)
  endif:
  z = z * z - z + c
  |z| < 4
}

simon0039-D {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  if (ismand)
    c = abs(pixel)
    z = c
  else
    c = abs(p1)
    z = pixel
  endif:
  z = z * z - z + c
  |z| < 4
}

simon0039-E {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  if (ismand)
    c = pixel
    z = abs(c)
  else
    c = p1
    z = abs(pixel)
  endif:
  z = flip(z * z - z + c)
  |z| < 4
}

simon0039-F {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  if (ismand)
    z = c = abs(pixel)
  else
    c = abs(p1)
    z = abs(pixel)
  endif:
  z = flip(z * z - z + c)
  |z| < 4
}

simon0040-A {
  ; SMF - Added julia 24/04/2012
  ;       (works alright)
  x = real(pixel)
  y = imag(pixel)
  if (ismand)
    z = 0
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  oz = z
  nx = x * x
  ny = y * y
  m = nx * x + flip(ny * y)
  z = z * z + abs(m * m)
  if (ismand)
    if (z > oz)
      c = flip(c)
    endif
  else
    z = z + c
  endif
  |z| < 4
}

simon0040-B {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  x = real(pixel)
  y = imag(pixel)
  if (ismand)
    z = 0
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  oz = z
  nx = x * x
  ny = y * y
  m = nx * x + flip(ny * y)
  z = z * z + abs(m * m)
  if (z > oz)
    c = flip(c)
  endif
  z = z + c
  |z| < 4
}

simon0040-C {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  x = real(pixel)
  y = imag(pixel)
  if (ismand)
    z = 0
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  oz = z
  nx = x * x
  ny = y * y
  m = nx * x + flip(ny * y)
  z = z * z + abs(m * m)
  z = z + c
  |z| < 4
}

simon0040-D {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  x = real(pixel)
  y = imag(pixel)
  if (ismand)
    z = 0
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  oz = z
  nx = x * x + y
  ny = y * y + x
  m = nx * x + flip(ny * y)
  z = z * z + abs(m * m)
  z = z + c
  |z| < 4
}

simon0040-E {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  x = real(pixel)
  y = imag(pixel)
  if (ismand)
    z = 0
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  oz = z
  nx = x * x + y
  ny = y * y + x
  m = nx * x + flip(ny * y)
  z = z * z + z - abs(m * m)
  z = z + c
  |z| < 4
}

simon0040-F {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  x = real(pixel)
  y = imag(pixel)
  if (ismand)
    z = 0
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  oz = z
  nx = x * x + y
  ny = y * y + x
  m = nx * x + flip(ny * y)
  z = z * z + z - abs(m * m)
  z = c - z
  |z| < 4
}

simon0041 {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  if (ismand)
    p = pixel
    z = p * p
  else
    p = p1
    z = pixel * pixel
  endif
  x = flip(real(p))+real(p)
  y = flip(imag(p))+imag(p):
  z = z * z - sqrt(tan(z / p + (x * y)))
  |z| < 4
}

simon0042-A {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif:
  s = sqrt(z)
  z = z * z + z - (p ^ s)
  |z| < 4
}

simon0042-B {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif:
  s = sqrt(z)
  z = (p + z) * (p + z) + (p + z) - (p ^ s)
  |z| < 4
}

simon0042-C {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif:
  s = z ^ p
  z = (p + z) * (p + z) + (p + z) - (p ^ s)
  |z| < 4
}

simon0043 {
  ; SMF - Added julia 25/04/2012
  ;       (works really well)
  p = pixel
  if (ismand)
    c = p
  else
    c = p1
  endif
  r = real(c)
  i = imag(c)
  z = 0 - pixel:
  z = abs(z * z) + z / c
  z = (z * z + (i*i + flip(r*r))) / c
  |z| < 4
}

simon0044-A {
  ;------------------------
  ; p2 default (1.05,-0.75)
  ;------------------------
  ; SMF - Added julia 26/04/2012
  ;       (works really well)
  c = p2
  if (ismand)
    v = pixel
    z = c * v
  else
    v = p1
    z = pixel + c * v
  endif:
  z = abs(z * z) ^ c - v
  |z| < 4
}

simon0044-B {
  ;------------------------
  ; p2 default (1.05,-0.75)
  ;------------------------
  ; SMF - Added julia 26/04/2012
  ;       (works really well)
  c = p2
  if (ismand)
    v = pixel
    z = c * v
  else
    v = p1
    z = pixel + c * v
  endif:
  z = abs(z*z*z) ^ c - v
  |z| < 4
}

simon0045-A {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif:
  z = (p + z * z) / (z ^ p)
  |z| > 0
}

simon0045-B {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif:
  z = (p + z * z) * (z ^ p)
  |z| > 0
}

simon0045-C {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif:
  z = (p + z * z) - (z ^ p)
  |z| > 0
}

simon0046-A {
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    p = pixel
    z = trunc((10,10)*p)/(10,10)
  else
    p = p1
    z = trunc((10,10)*pixel)/(10,10)
  endif:
  z = z * z + p
  |z| > 0
}

simon0046-B {
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    p = pixel
    z = trunc((50,50)*p)/(50,50)
  else
    p = p1
    z = trunc((50,50)*pixel)/(50,50)
  endif:
  z = z * z + p
  |z| > 0
}

simon0046-C {
  ; p2 = graininess - try
  ; 10000,100000 or 100,10
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (p2==(0,0))
    p2 = (1,1)
  endif
  if (ismand)
    p = pixel
    z = trunc(p2*p)/p2
  else
    p = p1
    z = trunc(p2*pixel)/p2
  endif:
  z = z * z + p
  |z| > 0
}

simon0047-A {
  ; Set outside colouring to tdis
  ; Set Iterations to 150
  ;
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    z = 0
    p = pixel
  else
    z = pixel
    p = p1
  endif
  c = 0:
  z = abs(z*z)-abs(p*p)
  c = c + 1
  c < 50
}

simon0047-B {
  ; Set outside colouring to tdis
  ; Set Iterations to 150
  ;
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    z = 0
    p = pixel
  else
    z = pixel
    p = p1
  endif
  c = 0:
  z = abs(z*z)-abs(p*p)*((1,1)+(1/100*c))
  c = c + 1
  c < 50
}

simon0047-C {
  ; Set outside colouring to tdis
  ; Set Iterations to 150
  ;
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    z = 0
    p = pixel
  else
    z = pixel
    p = p1
  endif
  c = 0:
  z = abs(z*z-p*p)
  c = c + 1
  c < 50
}

simon0047-D {
  ; Set outside colouring to tdis
  ; Set Iterations to 150
  ;
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    z = 0
    p = pixel
  else
    z = pixel
    p = p1
  endif
  c = 0:
  z = z+abs(z*z)-abs(p*p)
  c = c + 1
  c < 75
}

simon0047-E {
  ; +-------------------------------+
  ; | THIS WILL BE EXTREMELY SLOW!! |
  ; +-------------------------------+
  ; Set outside colouring to tdis
  ; Set Iterations to 1500
  ;
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    z = 0
    p = pixel
  else
    z = pixel
    p = p1
  endif
  c = 0:
  z = abs(z*z)-abs(p*p)
  c = c + 1
  c < 500
}

simon0047-F {
  ; Set outside colouring to tdis
  ; Set Iterations to 150
  ;
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    z = 0
    p = pixel
  else
    z = pixel
    p = p1
  endif
  c = 0:
  z = abs(z*z)-abs(p*p*p)
  c = c + 1
  c < 50
}

simon0047-G {
  ; Set outside colouring to tdis
  ; Set Iterations to 150
  ;
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    z = 0
    p = pixel
  else
    z = pixel
    p = p1
  endif
  c = 0:
  z = abs(z*z)-abs((z-p)*(z-p)*(z-p))
  c = c + 1
  c < 50
}

simon0047-H {
  ; Set outside colouring to tdis
  ; Set Iterations to 150
  ;
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    z = 0
    p = pixel
  else
    z = pixel
    p = p1
  endif
  c = 0:
  z = abs((p-z)*(p-z))-abs((z-p)*(z-p)*(z-p))*flip(p)
  c = c + 1
  c < 50
}

simon0047-I {
  ; Set outside colouring to tdis
  ; Set Iterations to 150
  ;
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    z = 0
    p = pixel
  else
    z = pixel
    p = p1
  endif
  c = 0:
  z = abs(z*z)-abs((z-p)*(z-p)*(z-p))+p
  c = c + 1
  c < 50
}

simon0048-A {
  ; Set outside colouring to tdis
  ; Set Iterations to 150
  ;
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    z = d = 0
    p = pixel
  else
    z = d = pixel
    p = p1
  endif
  c = 0:
  d = abs(d*d)-abs(p*p)
  z = z + |d|
  c = c + 1
  c < 50
}

simon0048-B {
  ; Set outside colouring to tdis
  ; Set Iterations to 150
  ;
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    z = p = pixel
  else
    z = pixel
    p = p1
  endif
  c = 0:
  d = abs(z*z)-abs(p*p)
  z = z * z + d
  |z| < 4
}

simon0048-C {
  ; Set outside colouring to iter
  ; Set Iterations to 150
  ;
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    z = d = 0
    p = pixel
  else
    z = d = pixel
    p = p1
  endif
  c = oz = 0:
  d = abs(d*d)-abs(p*p)
  z = z + abs(|oz| - |d|)
  oz = z
  c = c + 1
  |z| < 4 && c < 100
}

simon0048-D {
  ; Set outside colouring to iter
  ; Set Iterations to 150
  ;
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    z = d = 0
    p = pixel
  else
    z = d = pixel
    p = p1
  endif
  c = od = 0:
  d = abs(d*d)-abs(p*p)
  z = z * z + |d| - |od|
  od = d
  c = c + 1
  |z| < 4 && c < 50
}

simon0048-E {
  ; Set outside colouring to iter
  ; Set Iterations to 150
  ;
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    z = d = 0
    p = pixel
  else
    z = d = pixel
    p = p1
  endif
  c = od = 0:
  d = abs(d*d)-abs(p*p)
  z = z * z + |d| - |od|
  od = d
  c = c + 1
  |z| < 4 && c < 150
}

simon0049-A {
  ; Set outside colouring to tdis
  ; Set Iterations to 150
  ;
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    z = 0
    p = pixel
  else
    z = pixel
    p = p1
  endif
  c = 0:
  z = abs(z*z*z)-abs(p*p*p)
  c = c + 1
  c < 50
}

simon0049-B {
  ; Set outside colouring to tdis
  ; Set Iterations to 600
  ;
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    z = 0
    p = pixel
  else
    z = pixel
    p = p1
  endif
  c = 0:
  z = abs(z*z*z)-abs(p*p*p)
  c = c + 1
  c < 500
}

simon0049-C {
  ; Set outside colouring to tdis
  ; Set Iterations to 150
  ;
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    z = 0
    p = pixel
  else
    z = pixel
    p = p1
  endif
  c = 0:
  z = abs(z*z*z)-abs(p*p*p)
  c = c + 1
  c < 50
}

simon0049-D {
  ; Set outside colouring to tdis
  ; Set Iterations to 150
  ;
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    z = 0
    p = pixel
  else
    z = pixel
    p = p1
  endif
  c = 0:
  z = abs(z*z*z*z)-abs(p*p*p*p)
  c = c + 1
  c < 50
}

simon0050-A {
  ; Set outside colouring to tdis
  ; Set Iterations to 150
  ;
  ; SMF - Added julia 28/04/2012
  ;       (works really well)
  if (ismand)
    z = 0
    p = pixel
  else
    z = pixel
    p = p1
  endif
  c = 0:
  z = abs(z^(2,1))-abs(p^(1,2))
  c = c + 1
  c < 50
}

simon0051-A {
  ; Trying to colour pixels
  ; differently
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  c = 0
  if (ismand)
    p = z
  else
    p = p1
  endif:
  c = c + 1 ; increase count
  if (c==1)
    z = flip(z*z)+p
  elseif (c==2)
    z = abs(z*z)+flip(p)
    c = 0
  endif
  |z| < 4
}

simon0051-B {
  ; Trying to colour pixels
  ; differently
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  c = 0
  if (ismand)
    p = z
  else
    p = p1
  endif:
  c = c + 1 ; increase count
  if (c==1)
    z = flip(z*z)+p
  elseif (c==2)
    z = abs(z*z)+flip(p)
  elseif (c==3)
    z = z*z+abs(p)
    c = 0
  endif
  |z| < 4
}

simon0051-C {
  ; Trying to colour pixels
  ; differently
  ; SMF - Added julia 01/05/2012
  ;       (works really well)
  c = 0
  if (ismand)
    z = 0
    p = pixel
  else
    z = pixel
    p = p1
  endif:
  c = c + 1 ; increase count
  if (c==1)
    z = z*z+p
  elseif (c==2)
    z = abs(z*z)+p
    c = 0
  endif
  |z| < 4
}

simon0051-D {
  ; Trying to colour pixels
  ; differently
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  c = 0
  if (ismand)
    p = z
  else
    p = p1
  endif:
  c = c + 1 ; increase count
  if (c==1)
    z = z*z+p
  elseif (c==2)
    z = abs(z*z)+p
    c = 0
  endif
  |z| < 4
}

simon0051-E {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  c = 0
  if (ismand)
    p = z
  else
    p = p1
  endif:
  c = c + 1 ; increase count
  if (c==1)
    z = z*z+p
  elseif (c==2)
    z = abs(z*z)+p
  elseif (c==3)
    z = sin(z*z)+p
    c = 0
  endif
  |z| < 4
}

simon0051-F {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  c = 0
  if (ismand)
    p = z
  else
    p = p1
  endif:
  c = c + 1 ; increase count
  if (c==1)
    z = z*z+p
  elseif (c==2)
    z = abs(z*z)+p
  elseif (c==3)
    z = sin(z*z)+p
  elseif (c==4)
    z = tan(z*z)+p
    c = 0
  endif
  |z| < 4
}

simon0051-G {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  t = c = 0
  if (ismand)
    p = z
  else
    p = p1
  endif:
  c = c + 1 ; increase count
  if (c==1)
    z = z*z+p
  elseif (c==2)
    z = abs(z*z)+p
  elseif (c==3)
    z = sin(z*z)+p
  elseif (c==4)
    z = cos(z*z)+p
    c = 0
;    if (|z| > 4)
;      t = 1
;    endif
  endif
;  t == 0
  |z| < 4
}

simon0051-H {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  ;
  ; I've had these defaults set:
  ;  fn1 = ident  fn2 = abs
  ;  fn3 = sin    fn4 = tan or cos
  ;
  z = pixel
  c = 0
  if (ismand)
    p = z
  else
    p = p1
  endif:
  c = c + 1 ; increase count
  temp = z * z
  if (c==1)
    z = fn1(temp)+p
  elseif (c==2)
    z = fn2(temp)+p
  elseif (c==3)
    z = fn3(temp)+p
  elseif (c==4)
    z = fn4(temp)+p
    c = 0
  endif
  |z| < 4
}

simon0051-I {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  ;
  ; I've had these defaults set:
  ;  fn1 = ident  fn2 = abs
  ;  fn3 = sin    fn4 = tan or cos
  ;
  z = pixel
  c = 0
  if (ismand)
    p = z
  else
    p = p1
  endif:
  c = c + 1 ; increase count
  temp = z * z * z
  if (c==1)
    z = fn1(temp)+p
  elseif (c==2)
    z = fn2(temp)+p
  elseif (c==3)
    z = fn3(temp)+p
  elseif (c==4)
    z = fn4(temp)+p
    c = 0
  endif
  |z| < 4
}

simon0051-J {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  ;
  ; I've had these defaults set:
  ;  fn1 = ident  fn2 = abs
  ;  fn3 = sin    fn4 = tan or cos
  ;
  z = pixel
  c = 0
  if (ismand)
    p = z
  else
    p = p1
  endif:
  c = c + 1 ; increase count
  temp = (1,1)/(z * z)
  if (c==1)
    z = fn1(temp)+p
  elseif (c==2)
    z = fn2(temp)+p
  elseif (c==3)
    z = fn3(temp)+p
  elseif (c==4)
    z = fn4(temp)+p
    c = 0
  endif
  |z| < 4
}

simon0052-A {
  ; SMF - Added julia 01/05/2012
  ;       (works really well)
  if (ismand)
    p = pixel
    r = real(p)
    i = imag(p)
    x = flip(r) + r
    y = flip(i) + i
    z = x * y / p
  else
    p = p1
    r = real(p)
    i = imag(p)
    x = flip(r) + r
    y = flip(i) + i
    z = pixel + x * y / p
  endif:
  z = z * z + p
  |z| < 4
}

simon0052-B {
  ; SMF - Added julia 02/05/2012
  ;       (works really well)
  if (ismand)
    p = pixel
    r = real(p)
    i = imag(p)
    x = flip(r) + r
    y = flip(i) + i
    z = x * y
  else
    p = p1
    r = real(p)
    i = imag(p)
    x = flip(r) + r
    y = flip(i) + i
    z = pixel + x * y
  endif:
  z = z * z + p
  |z| < 4
}

simon0052-C {
  ; SMF - Added julia 02/05/2012
  ;       (works really well)
  if (ismand)
    p = pixel
    r = real(p)
    i = imag(p)
    x = flip(r) + r
    y = flip(i) + i
    z = (x + y) / p
  else
    p = p1
    r = real(p)
    i = imag(p)
    x = flip(r) + r
    y = flip(i) + i
    z = pixel + (x + y) / p
  endif:
  z = z * z + p
  |z| < 4
}

simon0052-D {
  ; SMF - Added julia 02/05/2012
  ;       (works really well)
  if (ismand)
    p = pixel
    r = real(p)
    i = imag(p)
    x = flip(r) + r
    y = flip(i) + i
    z = sqrt(x + y)
  else
    p = p1
    r = real(p)
    i = imag(p)
    x = flip(r) + r
    y = flip(i) + i
    z = pixel + sqrt(x + y)
  endif:
  z = abs(z * z) + p
  |z| < 4
}

simon0052-E {
  ; SMF - Added julia 02/05/2012
  ;       (works really well)
  if (ismand)
    p = pixel
    r = real(p)
    i = imag(p)
    x = (flip(r) + r)-p
    y = (flip(i) + i)-p
    z = sqr(x + y)
  else
    p = p1
    r = real(p)
    i = imag(p)
    x = (flip(r) + r)-p
    y = (flip(i) + i)-p
    z = pixel + sqr(x + y)
  endif:
  z = abs(z * z) + p
  |z| < 4
}

simon0052-F {
  ; SMF - Added julia 02/05/2012
  ;       (works really well)
  if (ismand)
    p = pixel
    r = real(p)
    i = imag(p)
    x = (flip(r) + r)-p
    y = (flip(i) + i)+p
    z = x + y
  else
    p = p1
    r = real(p)
    i = imag(p)
    x = (flip(r) + r)-p
    y = (flip(i) + i)+p
    z = pixel + x + y
  endif:
  z = flip(z*z)^(z/p)
  |z| < 4
}

simon0053-A {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif:
  z = (z + p) * (z - p) * abs(p)
  |z| < 4
}

simon0053-E {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif:
  z = abs(z + p) * (z - p) * abs(p)
  |z| < 4
}

; (u,iv) + (x,iy) = (u+x),i(v+y)
; (u,iv) * (x,iy) = (ux-vy),i(vx+uy)

simon0053-I {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif:
  z = (z + p) * abs(z - p) * abs(p)
  |z| < 4
}

simon0053-M {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif:
  z = abs(z + p) * abs(z - p) * abs(p)
  |z| < 4
}

simon0054-A {
  ; SMF - Added julia 02/05/2012
  ;       (works really well)
  if (ismand)
    p = pixel*pixel
    z = 0
  else
    p = p1*p1
    z = pixel
  endif
  t = tan(p)
  s = sqrt(p)
  l = log(p):
  z = (z * z - t + s) * l
  |z| < 4
}

simon0055-A {
  ; SMF - Added julia 02/05/2012
  ;       (works alright)
  if (ismand)
    p = pixel
    z = round(p * (10,0))
  else
    p = p1
    z = pixel + round(p * (10,0))
  endif
  c = 0:
  c = c + 1
  |c| < |z|
}

simon0055-B {
  ; SMF - Added julia 02/05/2012
  ;       (works alright)
  if (ismand)
    p = pixel
    z = abs(p)/2*pi
  else
    p = p1
    z = abs(pixel)/2*pi
  endif
  z = z*z+((1,1)/p)
  c = 0:
  c = c + (1,1)
  z = z*z + p
  |z+c| < |100|
}

simon0056-A {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif:
  z = (z * z + p)/(|z * z + p|)
  |z| < 100
}

simon0056-B {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif:
  z = (|z * z + p|)/(z * z + p)
  |z| < 100
}

simon0056-C {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif:
  z = (z * z + p)-(|z * z + p|)
  |z| < 100
}

simon0056-D {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif:
  z = (|z * z + p|)-(z * z + p)
  |z| < 100
}

simon0056-E {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  z = pixel
  if (ismand)
    p = z
  else
    p = p1
  endif:
  z = (z * z + p)^(|z * z + p|)
  |z| < 100
}

simon0056-F {
  ; SMF - Added julia 24/04/2012
  ;       (works really well)
  ; only set const for julia mode
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif:
  z = (|z * z + c|)^(z * z + c)
  |z| < 100
}

simon0057-A {
  ; only set p1 if julia
  ; p2 - try -1.5, -1.5
  if (p2==(0,0))
    p2 = (-1.5,-1.5)
  endif
  if (ismand)
    z = p = pixel
  else
    z = pixel
    p = p1
  endif
  r = p2:
  z = abs(z * z * r) + p * r
  |z| < 4
}

simon0058-A {
  if (ismand)
    p = pixel
    z = 0
  else
    p = p1
    z = pixel
  endif
  s = 0
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| >= 4)
    s = s + 1
  endif:
  s = s - 1
  real(s) > 0 || |z| < 4
}

simon0058-B {
  if (ismand)
    p = pixel
    z = 0
  else
    p = p1
    z = pixel
  endif
  s = 0
  z = abs(z * z + p)
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + 1
  endif:
  s = s - 1
  real(s) > 0 || |z| < 4
}

simon0058-C {
  if (ismand)
    p = pixel
    z = 0
  else
    p = p1
    z = pixel
  endif
  s = 0
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + z
  endif
  s = |s|:
  s = s - 1
  real(s) > 0 || |z| < 4
}

simon0058-D {
  if (ismand)
    p = pixel
    z = 0
  else
    p = p1
    z = pixel
  endif
  s = 0
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  z = z * z + p
  if (|z| < 4)
    s = s + s * z
  endif
  s = |s|:
  s = s - 1
  real(s) > 0 || |z| < 4
}

simon0059-A {
  ; Try something different
  ;
  p = pixel
  x1 = trunc(real(p)*10)
  x2 = real(p)*10
  if (x1 == x2)
    c = (1,1)
    a = (1,1)
  else
    c = 0
    a = 0
  endif:
  z = z * z + a
  z = 1
}

simon0060-A {
  if (ismand)
    m = 0
    c = pixel
  else
    m = pixel
    c = p1
  endif
  z = 0
  flag=1:
  if (flag==3)
    z = z - 1
    if (z<1)
      flag=4
    endif
  endif
  if (flag==2)
    z = |m|
    flag=3
  endif
  if (flag==1)
    m = m * m + c
    if (|m| > 4)
      flag=2
    endif
  endif
  flag<4
}

simon0060-B {
  if (ismand)
    m = 0
    c = pixel
  else
    m = pixel
    c = p1
  endif
  z = 0
  flag=1:
  if (flag==3)
    z = z - 1
    if (z<1)
      flag=4
    endif
  endif
  if (flag==2)
    z = |m^m|
    flag=3
  endif
  if (flag==1)
    m = m * m + c
    if (|m| > 4)
      flag=2
    endif
  endif
  flag<4
}

simon0060-C {
  if (ismand)
    m = 0
    c = pixel
  else
    m = pixel
    c = p1
  endif
  z = 0
  flag=1:
  if (flag==3)
    z = z - 1
    if (z<1)
      flag=4
    endif
  endif
  if (flag==2)
    z = |m*c|
    flag=3
  endif
  if (flag==1)
    m = m * m + c
    if (|m| > 4)
      flag=2
    endif
  endif
  flag<4
}

simon0060-D {
  if (ismand)
    m = 0
    c = pixel
  else
    m = pixel
    c = p1
  endif
  z = t = 0
  flag=1:
  if (flag==3)
    z = z - 1
    if (z<1)
      flag=4
    endif
  endif
  if (flag==2)
    z = |t| + |m|
    flag=3
  endif
  if (flag==1)
    m = m * m + c
    t = t + m
    if (|m| > 4)
      flag=2
    endif
  endif
  flag<4
}

simon0060-E {
  if (ismand)
    m = 0
    c = pixel
  else
    m = pixel
    c = p1
  endif
  z = t = 0
  flag=1:
  if (flag==3)
    z = z - 1
    if (z<1)
      flag=4
    endif
  endif
  if (flag==2)
    z = |t / m|
    flag=3
  endif
  if (flag==1)
    m = m * m + c
    t = t + m
    if (|m| > 4)
      flag=2
    endif
  endif
  flag<4
}

simon0060-F {
  if (ismand)
    m = 0
    c = pixel
  else
    m = pixel
    c = p1
  endif
  z = t = 0
  flag=1:
  if (flag==3)
    z = z - 1
    if (z<1)
      flag=4
    endif
  endif
  if (flag==2)
    z = |m / t|
    flag=3
  endif
  if (flag==1)
    m = m * m + c
    t = t + m
    if (|m| > 4)
      flag=2
    endif
  endif
  flag<4
}

simon0060-G {
  if (ismand)
    m = 0
    c = pixel
  else
    m = pixel
    c = p1
  endif
  z = t = 0
  flag=1:
  if (flag==3)
    z = z - 1
    if (z<1)
      flag=4
    endif
  endif
  if (flag==2)
    z = |t|
    flag=3
  endif
  if (flag==1)
    m = m * m + c
    t = t + round(m)
    if (|m| > 4)
      flag=2
    endif
  endif
  flag<4
}

simon0060-H {
  if (ismand)
    m = 0
    c = pixel
  else
    m = pixel
    c = p1
  endif
  z = t = 0
  flag=1:
  if (flag==3)
    z = z - 1
    if (z<1)
      flag=4
    endif
  endif
  if (flag==2)
    z = |t|
    flag=3
  endif
  if (flag==1)
    m = m * m + c
    t = t + sqrt(m)
    if (|m| > 4)
      flag=2
    endif
  endif
  flag<4
}

simon0060-I {
  if (ismand)
    m = 0
    c = pixel
  else
    m = pixel
    c = p1
  endif
  z = t = 0
  flag=1:
  if (flag==3)
    z = z - 1
    if (z<1)
      flag=4
    endif
  endif
  if (flag==2)
    z = abs(t/m)
    flag=3
  endif
  if (flag==1)
    m = m * m + c
    t = t + sqrt(m)
    if (|m| > 4)
      flag=2
    endif
  endif
  flag<4
}

simon0061-A {
  z = 0
  p = pixel
  r = real(p)-2
  i = imag(p)+1.5
  t = ((r*r)/i)*50:
  t = t - 1
  t > 1
}

simon0061-B {
  p = pixel
  r = real(p)
  i = imag(p)
  t = flip(100*(i/r)-10)+(r*r^flip(i*i)):
  t = t - 1
  t > 1
}

simon0062-A {
  if (ismand)
    p = pixel
    z = 0
  else
    p = p1
    z = pixel
  endif
  cp = cos(p)
  sp = sin(p)
  tp = tan(p)
  lp = log(p)
  c = p / (cp + sp + tp + lp):
  z = (z * z + c * c) + p
  |z| < 9
}

simon0062-B {
  if (ismand)
    p = pixel
    z = 0
  else
    p = p1
    z = pixel
  endif
  cp = cos(p)
  sp = sin(p)
  tp = tan(p)
  lp = log(p)
  c = p ^ (cp + sp + tp + lp):
  z = (z * z + c * c) + p
  |z| < 9
}

simon0062-C {
  if (ismand)
    z = p = pixel
  else
    z = pixel
    p = p1
  endif
  cp = cos(p)
  sp = sin(p)
  tp = tan(p)
  lp = log(p)
  z=z+fn1(cp)^fn1(sp)^fn1(tp)^fn1(lp):
  z = z * z + p
  |z| < 9
}

simon0062-D {
  if (ismand)
    z = p = pixel
  else
    z = pixel
    p = p1
  endif
  cp = cos(p)
  sp = sin(p)
  tp = tan(p)
  lp = log(p)
  z=z+fn1(cp)^fn1(sp)^fn1(tp)^fn1(lp):
  z = z * z + p
  |z| < 9
}


simon0063-A {
  ; Trying to figure out ident
  ;
  z = p = pixel:
  z = fn1(z * z) + p
  |z| < 4
}

simon0063-B {
  ; Trying to figure out ident
  ;
  z = p = pixel:
  t = z * z
  z = fn1(t) + p
  |z| < 4
}

simon0064-A {
  p = pixel
  r = real(p)
  i = imag(p)
  m = (flip(maxit)+maxit) * p
  x = sin(r * r * r) / p2
  y = cos(i * i * i) / p2
  z = flip(p2 * p)
  c = |m|:
  x = cos(p + x) * cos(p + x)
  y = sin(p + y) * tan(p + y)
  z = z * z + p * (x + flip(y))
  c = c - 1
  c > 0
}

simon0064-B {
  p = pixel
  r = real(p)
  i = imag(p)
  m = (flip(maxit)+maxit) ^ p
  x = sin(r * r * r) / p2
  y = cos(i * i * i) / p2
  z = p2 * p
  c = |m|:
  x = cos(p + x/z)+flip(cos(p + x))
  y = sin(p + y/z)+flip(tan(p + y))
  t = (z ^ x) * (z ^ y)
  z = z + fn1(t) + p * (x + flip(y))
  c = c - 1
  c > 0
}

simon0064-C {
  p = pixel
  r = real(p)
  i = imag(p)
  m = (flip(maxit)+maxit) * p
  x = sin(r * r) / p2
  y = cos(i * i) / p2
  z = p2 * p / m
  c = |m|:
  x = cos(p + x/z)+flip(cos(p + x))
  y = sin(p + y/z)+flip(tan(p + y))
  t = (z ^ x) * (z ^ y)
  z = z + fn1(t) + p * (x + flip(y))
  c = c - 1
  c > 0
}

simon0064-D {
  p = pixel
  r = real(p)
  i = imag(p)
  m = (flip(maxit)+maxit) * p
  x = sin(r ^ p) / p2
  y = cos(i ^ p) / p2
  z = p2 * p / m
  c = |m|:
  x = cos(p + x/z)+flip(cos(p + x))
  y = sin(p + y/z)+flip(tan(p + y))
  t = (z ^ x) * (z ^ y)
  z = z + fn1(t) + p * (x + flip(y))
  c = c - 1
  c > 0
}

simon0065-A {
  if (ismand)
    p = pixel
    c = abs(p * p)
    z = p / c
  else
    p = p1
    c = abs(p * p)
    z = pixel / c
  endif
  r = real(p)
  i = imag(p):
  z = (z * z + c) * i
  c = (c / z + p) * r
  |z| < 4
}

simon0065-B {
  if (ismand)
    p = pixel
    c = fn1(p * p)
    z = p / c
  else
    p = p1
    c = fn1(p * p)
    z = pixel / c
  endif
  r = real(p)
  i = imag(p):
  z = (z * z + c) * i
  c = (c / z + p) * r
  |z| < 4
}

simon0065-C {
  if (ismand)
    p = pixel
    c = abs(p * p)
    z = p / c
  else
    p = p1
    c = abs(p * p)
    z = pixel / c
  endif
  r = real(p)
  i = imag(p):
  z = (z * z + c) * i
  c = c / (z + p * r)
  |z| < 4
}

simon0065-D {
  if (ismand)
    p = pixel
    c = p * p
    z = p * c
  else
    p = p1
    c = p * p
    z = pixel * c
  endif
  r = real(p)
  i = imag(p):
  z = (z * z + c) * i
  c = c - r
  |z| < 4
}

simon0065-E {
  if (ismand)
    p = pixel
    t = p * p
    c = fn1(t)
    z = p / c
  else
    p = p1
    t = p * p
    c = fn1(t)
    z = pixel / c
  endif
  r = real(p)
  i = imag(p):
  z = (z * z + c) * i
  c = c / (z + p * r)
  |z| < 4
}

simon0066-A {
  if (ismand)
    p = pixel
    z = 0
  else
    p = p1
    z = pixel
  endif:
  t = z * z
  z = t * fn1(t) + p
  |z| < 4
}

simon0066-B {
  if (ismand)
    p = pixel
    z = 0
  else
    p = p1
    z = pixel
  endif:
  t = z * z
  z = t ^ fn1(t) + p
  |z| < 4
}

simon0066-C {
  if (ismand)
    p = pixel
    z = 0
  else
    p = p1
    z = pixel
  endif:
  t = z * z
  z = t - fn1(t) + p
  |z| < 4
}

simon0067-A {
  if (ismand)
    p = pixel
    z = pixel
  else
    p = p1
    z = pixel
  endif
  s = sqrt(p)*flip(sqrt(z))
  r = 1/s
  a = fn1(s*r):
  z = 1/((z*z/a)*(s/r)+(z/p)+p)/flip(r)
  |z| < 4
}

simon0067-B {
  if (ismand)
    p = pixel
    z = 0
  else
    p = p1
    z = pixel
  endif
  s = sqrt(p)^sqrt(z)
  r = 1/s
  a = fn1(s/r):
  z = (z*z*a)^(s+r)*z+p
  |z| < 4
}

simon0067-C {
  if (ismand)
    p = pixel
    z = 0
  else
    p = p1
    z = pixel
  endif
  s = sqrt(p)^sqrt(z)
  r = 1/s
  a = fn1(s/r):
  z = 1/((z*z*a)^((s+r)*z)+p)
  |z| < 4
}

simon0068-A {
  if (ismand)
    p = pixel
    z = 0
  else
    p = p1
    z = pixel
  endif:
  z = 1/(z * z + p)
  |z| < 4
}

simon0068-B {
  if (ismand)
    p = pixel
    z = 0
  else
    p = p1
    z = pixel
  endif:
  z = (1,1)/(z * z + p)
  |z| < 4
}

simon0068-C {
  if (ismand)
    p = pixel
    z = 0
  else
    p = p1
    z = pixel
  endif:
  z = z * z + (1/p)
  |z| < 4
}

simon0068-D {
  if (ismand)
    p = pixel
    z = 0
  else
    p = p1
    z = pixel
  endif:
  z = z * z + p
  |(1/z)| < 4
}

simon0068-E {
  if (ismand)
    p = pixel
    z = 0
  else
    p = p1
    z = pixel
  endif:
  z = z * z + p
  |(p/z)| < 4
}

simon0069-A {
  if (ismand)
    p = pixel
    z = 0
  else
    p = p1
    z = pixel
  endif
  sx=real(sin(p))
  sy=imag(sin(p))
  cx=real(cos(p))
  cy=imag(cos(p))
  tx=real(tan(p))
  ty=imag(tan(p))
  x = sx*cx*tx
  y = sy*cy*ty
  xy = x + flip(y):
  z = (z * z)+((xy/x)/(xy/y))+p
  |z| < 4
}

simon0069-B {
  if (ismand)
    p = pixel
    z = 0
  else
    p = p1
    z = pixel
  endif
  sx=real(sin(p))
  sy=imag(sin(p))
  cx=real(cos(p))
  cy=imag(cos(p))
  tx=real(tan(p))
  ty=imag(tan(p))
  x = sx*cx*tx
  y = sy*cy*ty
  xy = x + flip(y):
  z = (z * z)+((xy/x)/(xy/y))+p
  |z| > x
}

simon0069-C {
  if (ismand)
    p = pixel
    z = 0
  else
    p = p1
    z = pixel
  endif
  sx=real(sin(p))
  sy=imag(sin(p))
  cx=real(cos(p))
  cy=imag(cos(p))
  tx=real(tan(p))
  ty=imag(tan(p))
  x = sx*cx*tx
  y = sy*cy*ty
  xy = x + flip(y):
  z = (z * z)+((xy/x)/(xy/y))+p
  |z| > |xy|
}

simon0069-D {
  if (ismand)
    z = p = pixel
  else
    p = p1
    z = pixel
  endif
  sx=real(sin(p))
  sy=imag(sin(p))
  cx=real(cos(p))
  cy=imag(cos(p))
  tx=real(tan(p))
  ty=imag(tan(p))
  x = sx*cx*tx
  y = sy*cy*ty
  xy = x + flip(y):
  z = z^z+((z/xy)*(xy/z))+p
  |z| < 4
}

simon0070-A {
  if (ismand)
    p = pixel
    z = pixel
  else
    p = p1
    z = pixel
  endif
  z = 1/(z*z):
  z = z * z + p
  |z| < 4
}

simon0070-B {
  if (ismand)
    p = pixel
    z = pixel
  else
    p = p1
    z = pixel
  endif
  z = (0,1)/(z*z):
  z = z * z + p
  |z| < 4
}

simon0070-C {
  if (ismand)
    p = pixel
    z = pixel
  else
    p = p1
    z = pixel
  endif
  z = (1/z)^(z*z):
  z = z * z + p
  |z| < 4
}

simon0070-D {
  if (ismand)
    p = pixel
    z = pixel
  else
    p = p1
    z = pixel
  endif
  z = (1/z)/(z*z):
  z = z * z + p
  |z| < 4
}

simon0070-E {
  if (ismand)
    p = pixel
    z = pixel
  else
    p = p1
    z = pixel
  endif
  z = (-1,0)/(real(z)*real(z)+flip(imag(z)*imag(z))):
  z = z * z + p
  |z| < 4
}

simon0070-F {
  if (ismand)
    p = pixel
    z = pixel
  else
    p = p1
    z = pixel
  endif
  z = (-1,0)^(real(z)*real(z)+flip(imag(z))*imag(z)):
  z = z * z + p
  |z| < 4
}

simon0070-G {
  if (ismand)
    p = pixel
    z = pixel
  else
    p = p1
    z = pixel
  endif
  t1 = 1/z
  t2 = z*z
  z = fn1(t1)/fn2(t2):
  z = z * z + p
  |z| < 4
}

simon0071-A {
  if (ismand)
    p = pixel
    z = pixel
  else
    p = p1
    z = pixel
  endif
  zx = real(z)
  zy = imag(z)
  px = real(p)
  py = imag(p)
  zxy = zx*zx*y
  zyx = zy*zy*x
  z = z-(zxy^zy+zyx^zx):
  z = z*z+(z+px)*(flip(z+py))+p
  |z| < 4
}

simon0071-B {
  if (ismand)
    p = pixel
    z = pixel
  else
    p = p1
    z = pixel
  endif
  zx = real(z)
  zy = flip(imag(z))
  px = real(p) 
  py = flip(imag(p))
  zxy = zx*zy
  zyx = zy*zy
  z = ((zx/zy)/zy)^(zxy/zyx):
  z = z*z+p
  |z| < 4
}

simon0072-A {
  if (ismand)
    p = pixel
    z = pixel
  else
    p = p1
    z = pixel
  endif
  zx = real(z)
  zy = imag(z)
  zxy = zx*zy
  zyx = zy*zx
  z = p2/(zx/zxy-flip(zy/zyx)):
  z = z*z+p
  |z| < 4
}

simon0072-B {
  if (ismand)
    p = pixel
    z = pixel
  else
    p = p1
    z = pixel
  endif
  zx = real(z)
  zy = imag(z)
  zxzx = zx*zx
  zyzy = zy*zy
  z = 0-(exp(zxzx^zy+flip(zyzy^zx)))*(abs(zxzx+flip(zyzy))*(zy/zx)):
  z = z*z+p
  |z| < 4
}

simon0073-A {
  if (ismand)
    p = pixel
    a = b = z = pixel
  else
    p = p1
    a = b = z = pixel
  endif:
  a = a * a + p
  b = (1/a) * (1/a) + p
  z = a + b
  |z| < 10000
}

simon0073-B {
  if (ismand)
    p = pixel
    a = b = z = pixel
  else
    p = p1
    a = b = z = pixel
  endif:
  a = a * a + p
  b = (1/b) * (1/b) + p
  z = a + b
  |z| < 10000
}

simon0073-C {
  if (ismand)
    p = pixel
    a = b = z = pixel
  else
    p = p1
    a = b = z = pixel
  endif:
  a = a * a + p
  b = (1/a) * (1/a) + p
  z = z+1/(a + b)
  |z| < 40
}

simon0073-D {
  if (ismand)
    p = pixel
    a = b = z = pixel
  else
    p = p1
    a = b = z = pixel
  endif:
  a = a * a + p
  b = (1/b) * (1/b) + p
  z = z+1/(a + b)
  |z| < 40
}

simon0073-E {
  if (ismand)
    p = pixel
    a = b = z = pixel
  else
    p = p1
    a = b = z = pixel
  endif:
  a = a * a + p
  b = (1/a) * (1/a) + p
  z = z+1/(a - b)
  |z| < 40
}

simon0073-F {
  if (ismand)
    p = pixel
    a = b = z = pixel
  else
    p = p1
    a = b = z = pixel
  endif:
  a = a * a + p
  b = (1/b) * (1/b) + p
  z = z+1/(a - b)
  |z| < 40
}

simon0073-G {
  if (ismand)
    p = pixel
    a = b = z = pixel
  else
    p = p1
    a = b = z = pixel
  endif:
  a = a * a + p
  b = (1/a) * (1/a) + p
  z = z + (a^b)
  |z| < 40
}

simon0073-H {
  if (ismand)
    p = pixel
    a = b = z = pixel
  else
    p = p1
    a = b = z = pixel
  endif:
  a = a * a + p
  b = (1/b) * (1/b) + p
  z = z + (a^b)
  |z| < 40
}

simon0073-I {
  if (ismand)
    p = pixel
    a = b = z = pixel
  else
    p = p1
    a = b = z = pixel
  endif:
  a = a * a + p
  b = (1/a) * (1/a) + p
  z = z + (b/a)
  |z| < 10000
}

simon0073-J {
  if (ismand)
    p = pixel
    a = b = z = pixel
  else
    p = p1
    a = b = z = pixel
  endif:
  a = a * a + p
  b = (1/b) * (1/b) + p
  z = z + (b/a)
  |z| < 10000
}

simon0073-K {
  if (ismand)
    p = pixel
    a = b = z = pixel
  else
    p = p1
    a = b = z = pixel
  endif:
  a = a * a * a + p
  b = (1/a) * (1/a) * (1/a) + p
  z = z + (b/a)
  |z| < 10000
}

simon0073-L {
  if (ismand)
    p = pixel
    a = b = z = pixel
  else
    p = p1
    a = b = z = pixel
  endif:
  a = a * a * a + p
  b = (1/b) * (1/b) * (1/b) + p
  z = z + (b/a)
  |z| < 10000
}

simon0073-M {
  if (ismand)
    p = pixel
    a = b = z = pixel
  else
    p = p1
    a = b = z = pixel
  endif:
  a = a * a + p
  b = (1/a) * (1/a) * (1/a) + (1/p)
  z = z + (b^a)
  |z| < 100 ;10000
}

simon0073-N {
  if (ismand)
    p = pixel
    a = b = z = pixel
  else
    p = p1
    a = b = z = pixel
  endif:
  a = a * a + p
  b = (1/b) * (1/b) * (1/b) + p
  z = z + (a^b)
  |z| < 10000
}

simon0074-A {
  if (ismand)
    c = z = pixel
  else
    c = p1
    z = pixel
  endif
  t = fn1(z) ^ fn2(z)
  z = fn3(t):
  z = z * z + c
  |z| < 4
}

simon0074-B {
  if (ismand)
    c = z = pixel
  else
    c = p1
    z = pixel
  endif
  t = (fn1(z) ^ fn2(z)) ^ (fn2(z) ^ fn1(z))
  z = fn3(t):
  z = z * z + c
  |z| < 4
}

simon0075-A {
  if (ismand)
    c = z = pixel
  else
    c = p1
    z = pixel
  endif
  x = real(z)
  y = imag(z)
  t = |z*z+c|
  t1 = z^(x*x)
  t2 = imag(z^(y*y))
  z = z/(t^t1) + z/(t1^t2):
  z = z * z + c
  |z| < 4
}

simon0076-A {
  if (ismand)
    c = z = pixel
  else
    c = p1
    z = pixel
  endif
  cz = c * z
  rcz = 1/cz
  s = 0:
  if (s == 1)
    z = z - |c|
    if (z < 1)
      s = 2
    endif
  elseif (s == 0)
    z = ((z * z + c) / cz) * rcz
    if (z > (maxit/c))
      z = |z|
      s = 1
    endif
  endif
  s < 2
}

simon0076-B {
  if (ismand)
    c = z = pixel
  else
    c = p1
    z = pixel
  endif
  cz = c * z
  t = 1/cz
  tcz = fn1(t)
  s = 0:
  if (s == 1)
    z = z - |c|
    if (z < 1)
      s = 2
    endif
  elseif (s == 0)
    z = ((z * z + c) ^ cz) ^ tcz
    if (z > (maxit/(c*z)))
      z = |z|
      s = 1
    endif
  endif
  s < 2
}

simon0077-A {
  n = real(p2)
  if (n==0)
    n = 3
  endif
  if (ismand)
    z = pixel
    c = 0
  else
    z = pixel
    c = p1
  endif:
  z = fn1(fn2(fn3(z^n+c)^z^n))
  |z| < imag(p2)
}

simon0077-B {
  m = real(p2)
  n = imag(p2)
  ; set some default values if blank
  if (m==0 && n==0)
    m = 3
    n = 16
  endif
  if (ismand)
    z = pixel
    c = 0
  else
    z = pixel
    c = p1
  endif
  z = (fn1(z)+fn2(z))^ n
  z = z + flip((fn1(z)+fn2(z))^ m):
  z = fn1(fns2(z^n+c)^z^n)
  |z| < n
}

simon0078-A {
  if (ismand)
    z = pixel
    c = 0
  else
    z = pixel
    c = p1
  endif
  step = fn1(z)/fn1(z)+fn1(z)*fn1(z)
  z = z - (1/step):
  z = z * z + c + step
  |z| < real(p2)
}

simon0079-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z / abs(c)
  |z| < 4
}

simon0079-B {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * abs(z / c)
  |z| < 4
}

simon0079-C {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * abs(z ^ c)
  |z| < 4
}

simon0079-D {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = (z * z) ^ abs(c * z)
  |z| < 4
}

simon0079-E {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * abs(z * c) - abs(z / c)
  |z| < 4
}

simon0080-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  z = (real(z) ^ p2) / imag(z):
  z = z * z + c
  |z| < 4
}

simon0080-B {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  x = (real(z) ^ p2) / imag(z)
  y = (imag(z) ^ p2) / real(z)
  z = flip(y)+x:
  z = z * z + c
  |z| < 4
}

simon0081-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  x = real(z) * real(z)
  y = imag(z) * imag(z) * imag(z)
  z = flip(y)+x:
  z = z * z + c
  |z| < 4
}

simon0081-B {
  xp = real(p2)
  if (xp == 0)
    xp = 2
  endif
  yp = imag(p2)
  if (yp == 0)
    yp = 2
  endif
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x = real(z)
  xm = x ^ xp
  y = imag(z)
  ym = y ^ yp
  xym = flip(ym) + xm
  z = xym + c
  |z| < 4
}

simon0081-C {
  xp = real(p2)
  if (xp == 0)
    xp = 2
  endif
  yp = imag(p2)
  if (yp == 0)
    yp = 2
  endif
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x = real(z)
  xm = x ^ xp
  y = imag(z)
  ym = y ^ yp
  xym = flip(ym) * xm
  z = xym + c
  |z| < 4
}

simon0081-D {
  xp = real(p2)
  if (xp == 0)
    xp = 2
  endif
  yp = imag(p2)
  if (yp == 0)
    yp = 2
  endif
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x = real(z)
  xm = x ^ xp
  y = imag(z)
  ym = y ^ yp
  xym = flip(ym) + xm
  z = xym * xym + c
  |z| < 4
}

simon0081-E {
  xp = real(p2)
  if (xp == 0)
    xp = 2
  endif
  yp = imag(p2)
  if (yp == 0)
    yp = 2
  endif
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x = real(z)
  xm = x ^ xp
  y = imag(z)
  ym = y ^ yp
  xym = xm + flip(ym)
  xym = fn1(xym)
  z = xym * xym + c
  |z| < 4
}

simon0082-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  x = real(z)
  xx = x*abs(x)
  y = imag(z)
  yy = y*abs(y)
  z = xx + flip(yy):
  z = z * z * z + (c * c)
  |z| < 4
}

simon0082-B {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  x = real(z)
  xx = x*abs(x)
  y = imag(z)
  yy = y*abs(y)
  z = flip(z):
  ;z = xx + flip(yy):
  z = z + z * z + c*x + flip(c*y)
  |z| < 4
}

simon0083-A {
  if (ismand)
    z = c = p = pixel
  else
    z = p = pixel
    c = p1
  endif
  x = real(z)
  xx = x*abs(x)
  y = imag(z)
  yy = y*abs(y)
  z = (z*p)*(p/z):
  ;z = xx + flip(yy):
  z = z + z * z + c*x + flip(c*y)
  |z| < 4
}

simon0083-B {
  if (ismand)
    z = c = p = pixel
  else
    z = p = pixel
    c = p1
  endif
  x = real(z)
  xx = x*abs(x)
  y = imag(z)
  yy = y*abs(y)
  z = 1/(z*z)*(flip(yy)+xx):
  z = z * z + c 
  |z| < 4
}

simon0083-C {
  if (ismand)
    z = c = p = pixel
  else
    z = p = pixel
    c = p1
  endif
  x = real(z)
  xx = x^abs(x)
  y = imag(z)
  yy = y^abs(y)
  z = ((1/z)*z)/(flip(yy)+xx):
  z = z * z + c 
  |z| < 4
}

simon0083-D {
  if (ismand)
    z = c = p = pixel
  else
    z = p = pixel
    c = p1
  endif
  x = real(z)
  xx = x*x - 1/x
  y = imag(z)
  yy = y*y - 1/y
  z = ((1/z)*z)/(flip(yy)+xx):
  z = z * z + c 
  |z| < 4
}

simon0083-E {
  if (ismand)
    z = c = p = pixel
  else
    z = p = pixel
    c = p1
  endif
  x = real(z)
  xx = abs(1/x*x) / abs(x)
  y = imag(z)
  yy = abs(1/y*y) / abs(y)
  z = (z*z)/(flip(yy)+xx):
  z = z * z + c 
  |z| < 4
}

simon0084-A {
  if (ismand)
    z = p = pixel
  else
    z = pixel
    p = p1
  endif
  x = real(z)
  xx = abs(x*x)
  y = imag(z)
  yy = abs(y*y)
  z = xx+flip(yy):
  z = z * z + p 
  |z| < 4
}

simon0085-A {
  seed1 = p2
  if (ismand)
    z = seed2 = pixel
  else
    z = pixel
    seed2 = p1
  endif:
  w = seed1 * seed1 + seed2
  z = z * z + seed2 / w
  |z| < 4
}

simon0085-B {
  seed1 = p2
  if (ismand)
    z = seed2 = pixel
  else
    z = pixel
    seed2 = p1
  endif:
  w = seed1 * seed1 + seed2
  z = z * z + seed2 / w
  |z*w| < 4
}

simon0086-A {
  if (ismand)
    z = pixel
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z + c
  z = z * z * c
  z = z * z / c
  z = z * z - c
  |z| < 4
}

simon0086-B {
  if (ismand)
    z = pixel
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z * c
  z = z * z + c
  z = z * z - c
  z = z * z / c
  |z| < 4
}

simon0086-C {
  if (ismand)
    z = pixel
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z / c
  z = z * z + c
  z = z * z * c
  z = z * z - c
  |z| < 4
}

simon0086-D {
  if (ismand)
    z = pixel
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z - c
  z = z * z * c
  z = z * z / c
  z = z * z + c
  |z| < 4
}

simon0086-E {
  if (ismand)
    z = pixel
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z + c
  z = z * z / c
  |z| < 4
}

simon0086-F {
  if (ismand)
    z = pixel
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z * c
  z = z * z + c
  |z| < 4
}

simon0086-G {
  if (ismand)
    z = pixel
    c = pixel
  else
    z = pixel
    c = p1
  endif
  z = abs(z)
  c = cabs(c):
  z = z * z * c
  z = z * z - c
  |z| < 4
}

simon0086-H {
  if (ismand)
    z = pixel
    c = pixel
  else
    z = pixel
    c = p1
  endif
  z = abs(z)
  c = abs(c):
  z = z * z * c
  z = z * z + c
  |z| < 4
}

simon0086-I {
  if (ismand)
    z = pixel
    c = pixel
  else
    z = pixel
    c = p1
  endif
  z = 1/abs(z)
  c = 1/cabs(c):
  z = z * z * c
  z = z * z + c
  |z| < 4
}

simon0086-J {
  if (ismand)
    z = pixel
    c = pixel
  else
    z = pixel
    c = p1
  endif
  z = 1/cabs(z)
  c = 1/abs(c):
  z = z * z * c
  z = z * z + c
  |z| < 4
}

simon0086-K {
  if (ismand)
    z = pixel
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z * c * c
  z = z * z + c
  |z| < 4
}

simon0086-L {
  if (ismand)
    z = pixel
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z
  z = z * z * c + c
  |z| < 4
}

simon0087-A {
  if (ismand)
    z = pixel
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z - c
  z = 1/(z * z * c)
  |z| < 4
}

simon0087-B {
  if (ismand)
    z = pixel
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z * c
  z = 1/(z * z + c)
  |z| < 4
}

simon0087-C {
  if (ismand)
    z = pixel
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z * (z/c)
  z = 1/(z * z + c)
  |z| < 4
}

simon0087-D {
  if (ismand)
    z = pixel
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z * (z/c)
  z = z * z + c
  |z| < 4
}

simon0087-E {
  if (ismand)
    z = pixel
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z * (c/z)
  z = z * z + c
  |z| < 4
}

simon0087-F {
  if (ismand)
    z = pixel
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z + (c/z)
  z = z * z * c
  |z| < 4
}

simon0088-A {
  if (ismand)
    z = 0
    c = pixel
  else
    z = pixel
    c = p1
  endif
  flag=1:
  if (flag==1)
    z = z * z + c
  elseif (flag==2)
    z = z * z * c
  elseif (flag==3)
    z = z * z + flip(c)
  elseif (flag==4)
    z = z * z * flip(c)
    flag = 0
  endif
  flag = flag + 1
  |z| < 4
}

simon0088-B {
  if (ismand)
    z = 0
    c = pixel
  else
    z = pixel
    c = p1
  endif
  flag=1:
  if (flag==1)
    z = z * z + c
  elseif (flag==2)
    z = z * z - c
  elseif (flag==3)
    z = z * z + flip(c)
  elseif (flag==4)
    z = z * z - flip(c)
    flag = 0
  endif
  flag = flag + 1
  |z| < 4
}

simon0088-C {
  if (ismand)
    z = 0
    c = pixel
  else
    z = pixel
    c = p1
  endif
  flag=1:
  if (flag==1)
    z = z * z + c
  elseif (flag==2)
    z = z * z - c
  elseif (flag==3)
    z = z * z * c
  elseif (flag==4)
    z = z * z / c
    flag = 0
  endif
  flag = flag + 1
  |z| < 4
}

simon0088-D {
  if (ismand)
    z = 0
    c = pixel
  else
    z = pixel
    c = p1
  endif
  flag=1:
  if (flag==1)
    z = z * z + c
  elseif (flag==2)
    z = z * z * c
  elseif (flag==3)
    z = z * z - c
  elseif (flag==4)
    z = z * z / c
    flag = 0
  endif
  flag = flag + 1
  |z| < 4
}

simon0088-E {
  if (ismand)
    z = 0
    c = pixel
  else
    z = pixel
    c = p1
  endif
  flag=1:
  if (flag==1)
    z = z ^ flag + c
  elseif (flag==2)
    z = z ^ flag - c
  elseif (flag==3)
    z = z ^ flag * c
  elseif (flag==4)
    z = z ^ flag / c
    flag = 0
  endif
  flag = flag + 1
  |z| < 4
}

simon0089-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  pwr = 2:
  z = z ^ pwr + c
  pwr = pwr + 0.001
  |z| < 4
}

simon0089-B {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  pwr = 2:
  z = z ^ pwr + c
  pwr = pwr - 0.001
  |z| < 4
}

simon0089-C {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  pwr = 2:
  z = z ^ pwr + c
  if (pwr==2)
    pwr = 3
  else
    pwr = 2
  endif
  |z| < 4
}

simon0089-D {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  pwr = 2:
  z = z ^ pwr + c
  if (pwr==4)
    pwr = 2 
  else
    pwr = pwr + 1
  endif
  |z| < 4
}

simon0090-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z + (c/z)
  |z| < 4
}

simon0091-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * (z - fn1(z)) + c
  |z| < 4
}

simon0091-B {
  if (ismand)
    z = 0
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * (z - fn1(z)) + c
  |z| < 4
}

simon0091-C {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  t1 = fn1(z)
  t2 = fn2(z)
  z = (z + t1) * (z - t2) + c
  |z| < 4
}

simon0091-D {
  if (ismand)
    z = 0
    c = pixel
  else
    z = pixel
    c = p1
  endif:
  t1 = fn1(z)
  t2 = fn2(z)
  z = (z + t1) * (z - t2) + c
  |z| < 4
}

simon0092-A {
  if (ismand)
    z = v = c = pixel
  else
    z = v = pixel
    c = p1
  endif:
  v=v+abs(v^(-1))+c
  z = abs(z * z) + v
  |z/v| < 4
}

simon0092-B {
  if (ismand)
    z = v = c = pixel
  else
    z = v = pixel
    c = p1
  endif:
  v=v+abs(v^(-1))+c
  z = abs(z * z) + v
  |z|^|v| < 4
}

simon0092-C {
  if (ismand)
    z = v = c = pixel
  else
    z = v = pixel
    c = p1
  endif:
  v=v+abs(v^(-1))+c
  z = z * (1/abs(z * z) + v)
  |z|^|v| < 400
}

simon0092-D {
  if (ismand)
    z = v = c = pixel
  else
    z = v = pixel
    c = p1
  endif
  w = v*z-c:
  v = v + abs(v ^ (-1)) + c
  w = abs(w * w * w) / v
  z = z * (1/abs(z * z) + (v/w))
  |z|^|v+w| < 40
}

simon0092-E {
  if (ismand)
    z = v = c = pixel
  else
    z = v = pixel
    c = p1
  endif
  w = v*z-c
  x = (1/w)^(1/v):
  v = v + abs(v ^ (-1)) + c
  w = abs(w * w * w) / v
  x = 1/(w*v)^z
  z = z * (x/abs(z * z) + (v/w))
  |z-x|/|v-w| < 40
}

simon0092-F {
  if (ismand)
    z = v = c = pixel
  else
    z = v = pixel
    c = p1
  endif
  w = v*z-c
  x = (1/w)*(1/v):
  v = v + abs(v ^ (-1)) + c
  w = abs(w * w * w) / v
  x = 1/(w*v)^z
  z = z * (x/abs(z * z) + (v/w))
  |z+x|^|v+w| < 40
}

simon0092-G {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  v = z ^ (-1)
  w = z * z * z * z
  x = z * z * z * z * z:
  v = v * v + c
  w = w * w + c
  x = x * x + c
  z = z * z + c
  |v|+|z|+|x|+|w| < 40
}

simon0092-H {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  v = z * (1/z)
  w = z * z * z * z
  x = z * z * z * z * z:
  v = v * v + c
  w = w * w + c
  x = x * x + c
  z = z * z + c
  |v|+|z|+|x|+|w| < 40
}

simon0092-I {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  v = z ^ (-1)
  w = z * z * z * z
  x = z * z * z * z * z:
  v = v * v + c
  w = w * w + c
  x = x ^ x + c
  z = z * z + c
  |v|+|z|+|x|+|w| < 40
}

simon0092-J {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  v = z ^ (-1)
  w = z * z * z * z
  x = z * z * z * z * z:
  v = abs(v * v) + c
  w = abs(w * w) + c
  x = abs(x ^ x) + c
  z = abs(z * z) + c
  |v|+|z|+|x|+|w| < 40
}

simon0092-K {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  v = abs(z ^ (-1))
  w = z * z * z * z
  x = z * z * z * z * z:
  v = abs(v * v) + c
  w = abs(w * w) + c
  x = abs(x * x) + c
  z = abs(z * z) + c
  |v|+|z|+|x|+|w| < 40
}

simon0092-L {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  v = z * (1/z)
  w = z * z * z * z
  x = z * z * z * z * z
  v = v * v + c
  w = w * w + c
  x = x * x + c
  z = z * z + c
  |v|+|z|+|x|+|w| < 40
}

simon0092-M {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  v = z * (1/z)
  w = z * z * z * z
  x = z * z * z * z * z
  v = v * v + c
  w = w * w + c
  x = x * x + c
  z = z * z + c
  |v|+|z|+|x|+|w| < 40
}

simon0093-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  xz = real(z)
  yz = imag(z)
  xc = real(c)
  yc = imag(c)
  z = (xz+flip(yc))*(xc+flip(yz))+(xc+flip(yc))+(xz+flip(yz))
  z = z * z
  |z| < 4
}

simon0093-B {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  xz = real(z)
  yz = imag(z)
  xc = real(c)
  yc = imag(c)
  z = z*((xz+flip(xz))-(yz+flip(yz))+(xc+flip(yc)))
  ;z = z * z
  |z| < 4
}

simon0093-C {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  xz = real(z)
  yz = imag(z)
  xc = real(c)
  yc = imag(c)
  oz = z
  z = (xz+flip(yz))*(xz+flip(yz))+(xc+flip(yc))
  z = z ^ oz
  |z| < 16
}

simon0093-D {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  xz = real(z)
  yz = imag(z)
  xc = real(c)
  yc = imag(c)
  oz = z
  z = (xz+flip(yz))*(xz+flip(yz))+(xc+flip(yc))
  z = (z*z) / oz
  |z| < 16
}

simon0093-E {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  xz = real(z)*c
  yz = imag(z)*c
  xc = real(c)*z
  yc = imag(c)*z
  oz = z
  z = (xz+flip(yz))*(xz+flip(yz))+(xc+flip(yc))
  z = (z*z) / oz
  |z| < 16
}

simon0093-F {
  if (ismand)
    z = c = flip(pixel)
  else
    z = flip(pixel)
    c = flip(p1)
  endif:
  xz = real(z)*c
  yz = imag(z)*c
  xc = real(c)*z
  yc = imag(c)*z
  oz = z
  z = (xz+flip(yz))*(xz+flip(yz))+(xc+flip(yc))
  z = (oz*oz) / z
  |z| < 16
}

simon0094-A {
  if (ismand)
    z = c = pixel^(-1)
  else
    z = pixel^(-1)
    c = p1^(-1)
  endif:
  z = z * z + c
  |z| < 4
}

simon0094-B {
  if (ismand)
    z = c = pixel^(-1)
  else
    z = pixel^(-1)
    c = p1^(-1)
  endif:
  z = z * z + c
  |z| < 4
}

simon0094-C {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = (z ^ (-1,-1)) + c
  |z| > |c|
}

simon0094-D {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = (z ^ (-1,-1)) + c
  |z| < |c|
}

simon0095-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = abs(z ^ (-1)) - cabs(c)
  |z| < 4
}

simon0096-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  srand(z*c)
  t = rand
  z = real(t)*z:
  z=z * z + c
  |z| < 4
}

simon0097-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z + c * abs(c - z)
  |z| < 4
}

simon0097-B {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z + c * abs(c)
  |z| < 4
}

simon0097-C {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z + c + cabs(c - z)
  |z| < 4
}

simon0098-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z+(c*c)*(z^(-1))-1
  |z| < 4
}

simon0099-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  cr = real(c)
  ci = imag(c)
  x = abs(real(z))
  y = flip(abs(imag(z))):
  zr = (z * x) * (z * x) + cr
  zi = (z * y) * (z * y) + ci
  z = (zr + zi) ^ 2 + c
  |z| < 4
}

simon0099-B {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  cr = real(c)
  ci = flip(imag(c))
  x = abs(real(z))
  y = flip(abs(imag(z))):
  zr = (z * x) * (z * x) + cr
  zi = (z * y) * (z * y) + ci
  z = (zr + zi) ^ 2 + c
  |z| < 4
}

simon0099-C {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  cr = real(c)
  ci = imag(c)
  x = abs(real(z))
  y = abs(imag(z)):
  zr = (z * x) * (z * x) + cr
  zi = flip((z * y) * (z * y) + ci)
  z = (zr + zi) ^ 2 + c
  |z| < 4
}

simon0099-D {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  cr = real(c)
  ci = imag(c)
  x = abs(real(z))
  y = abs(imag(z)):
  zr = (z + x) * (z + x) + cr
  zi = flip((z + y) * (z + y) + ci)
  z = (zr + zi) ^ 2 + c
  |z| < 4
}

simon0099-E {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  cr = real(c)
  ci = imag(c)
  x = real(z)
  y = imag(z):
  zr = (z + x) * (z + x) + cr
  zi = (z + y) * (z + y) + ci
  z = (zr + flip(zi)) ^ 2 + c
  |z| < 4
}

simon0099-F {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  cr = real(c)
  ci = imag(c)
  x = real(z)
  y = imag(z):
  zr = real((z + x) * (z + x) + cr)
  zi = imag((z + y) * (z + y) + ci)
  z = (zr + flip(zi)) ^ 2 + c
  |z| < 4
}

simon0099-G {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  cr = real(c)
  ci = imag(c):
  x = cabs(real(z))
  y = flip(cabs(imag(z)))
  zr = (z * x) * (z * x) + cr
  zi = (z * y) * (z * y) + ci
  z = (zr + zi) ^ 2 + c
  |z| < 4
}

simon0099-M {
  if (ismand)
    z = 0
    c = pixel
  else
    z = 0
    c = p1
  endif
  cr = real(c)
  ci = imag(c):

  x = abs(real(z))
  y = flip(abs(imag(z)))
  
  zr = (z * x) * (z * x) + cr
  zi = (z * y) * (z * y) + ci
  z = (zr + zi) ^ 2 + c
  |z| < 4
}

simon0100-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * abs(z)
  z = z * z + c
  |z| < 4
}

simon0100-B {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * cabs(z)
  z = z * z + c
  |z| < 4
}

simon0100-C {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * abs(z)
  z = z * z * z + c
  |z| < 4
}

simon0100-D {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * cabs(z)
  z = z * z * z + c
  |z| < 4
}

simon0100-E {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * abs(z)
  z = z ^ p2 + c
  |z| < 4
}

simon0100-F {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * cabs(z)
  z = z ^ p2 + c
  |z| < 4
}

simon0100-G {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * abs(z) + c
  z = z * z + c
  |z| < 4
}

simon0100-H {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z + abs(c) * c
  |z| < 4
}

simon0101-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x  = real(z)
  x2 = x*x
  y  = imag(z)
  y2 = y*y
  z  = z + flip(abs(y2))-abs(x2)+c*x+x*flip(y)
  |z| < 4
}

simon0101-B {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x  = real(z)
  x2 = x*x
  y  = imag(z)
  y2 = y*y
  z  = z + (flip(abs(y2))-abs(x2)+c)*x+(x*flip(y))
  |z| < 4
}

simon0102-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x  = real(z)
  x2 = x*x
  y  = imag(z)
  y2 = y*y
  x2y2 = flip(y2)+x2
  y2x2 = flip(x2)+y2
  z    = z + x2y2 * x2y2 - y2x2 + c
  |z| < 4
}

simon0103-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x    = real(z)
  x2   = x*x
  y    = imag(z)
  y2   = y*y
  xy   = x + flip(y)
  xy2  = flip(y2)+x
  x2y  = flip(y)+x2
  x2y2 = flip(y2)+x2
  z    = xy2 * x2y + c
  |z| < 4
}

simon0103-B {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x    = real(z)
  x2   = x*x
  y    = imag(z)
  y2   = y*y
  xy   = x + flip(y)
  xy2  = flip(y2)+x
  x2y  = flip(y)+x2
  x2y2 = flip(y2)+x2
  z    = x2y2 * x2y + c
  |z| < 4
}

simon0103-C {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x    = real(z)
  x2   = x*x
  y    = imag(z)
  y2   = y*y
  xy   = x + flip(y)
  xy2  = flip(y2)+x
  x2y  = flip(y)+x2
  x2y2 = flip(y2)+x2
  z    = xy2 * x2y2 + c
  |z| < 4
}

simon0103-D {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x    = real(z)
  x2   = x*x
  y    = imag(z)
  y2   = y*y
  xy   = x + flip(y)
  xy2  = flip(y2)+x
  x2y  = flip(y)+x2
  x2y2 = flip(y2)+x2
  z    = xy * x2y + c
  |z| < 4
}

simon0103-E {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x    = real(z)
  x2   = x*x
  y    = imag(z)
  y2   = y*y
  xy   = x + flip(y)
  xy2  = flip(y2)+x
  x2y  = flip(y)+x2
  x2y2 = flip(y2)+x2
  z    = xy2 * xy + c
  |z| < 4
}

simon0103-F {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x    = real(z)
  x2   = x*x
  y    = imag(z)
  y2   = y*y
  xy   = x + flip(y)
  xy2  = flip(y2)+x
  x2y  = flip(y)+x2
  x2y2 = flip(y2)+x2
  z    = x2y2 * xy + c
  |z| < 4
}

simon0103-G {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x    = real(z)
  x2   = x*x
  y    = imag(z)
  y2   = y*y
  xy   = x + flip(y)
  xy2  = flip(y2)+x
  x2y  = flip(y)+x2
  x2y2 = flip(y2)+x2
  z    = xy * x2y * x2y + c
  |z| < 4
}

simon0103-H {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x    = real(z)
  x2   = x*x
  y    = imag(z)
  y2   = y*y
  xy   = x + flip(y)
  xy2  = flip(y2)+x
  x2y  = flip(y)+x2
  x2y2 = flip(y2)+x2
  z    = xy * x2y * x2y2 + c
  |z| < 4
}

simon0103-I {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x    = real(z)
  x2   = x*x
  y    = imag(z)
  y2   = y*y
  xy   = x + flip(y)
  xy2  = flip(y2)+x
  x2y  = flip(y)+x2
  x2y2 = flip(y2)+x2
  z    = xy2 * x2y * x2y2 + c
  |z| < 4
}

simon0103-J {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x    = real(z)
  x2   = x*x
  y    = imag(z)
  y2   = y*y
  xy   = x + flip(y)
  xy2  = flip(y2)+x
  x2y  = flip(y)+x2
  x2y2 = flip(y2)+x2
  z    = xy2 * xy2 * x2y2 + c
  |z| < 4
}

simon0103-K {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x    = real(z)
  x2   = x*x
  y    = imag(z)
  y2   = y*y
  xy   = x + flip(y)
  xy2  = flip(y2)+x
  x2y  = flip(y)+x2
  x2y2 = flip(y2)+x2
  z    = x2y2 * x2y2 * x2y2 + c
  |z| < 4
}

simon0103-L {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x    = real(z)
  x2   = x*x
  y    = imag(z)
  y2   = y*y
  xy   = x + flip(y)
  xy2  = flip(y2)+x
  x2y  = flip(y)+x2
  x2y2 = flip(y2)+x2
  z    = xy2 * xy2 * xy2 + c
  |z| < 4
}

simon0103-M {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x    = real(z)
  x2   = x*x
  y    = imag(z)
  y2   = y*y
  xy   = x + flip(y)
  xy2  = flip(y2)+x
  x2y  = flip(y)+x2
  x2y2 = flip(y2)+x2
  z    = x2y * x2y * x2y + c
  |z| < 4
}

simon0103-N {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x    = real(z)
  x2   = x*x
  y    = imag(z)
  y2   = y*y
  xy   = x + flip(y)
  xy2  = flip(y2)+x
  x2y  = flip(y)+x2
  x2y2 = flip(y2)+x2
  z    = x2y2 * x2y2 * x2y2 + c
  |z| < 4
}

simon0103-O {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x    = real(z)
  x2   = x*x
  y    = imag(z)
  y2   = y*y
  xy   = x + flip(y)
  xy2  = flip(y2)+x
  x2y  = flip(y)+x2
  x2y2 = flip(y2)+x2
  z    = xy * xy * xy + c
  |z| < 4
}

simon0103-P {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  x    = real(z)
  x2   = x*x
  y    = imag(z)
  y2   = y*y
  xy   = x + flip(y)
  xy2  = flip(y2)+x
  x2y  = flip(y)+x2
  x2y2 = flip(y2)+x2
  z    = xy * xy2 * x2y * x2y2 + c
  |z| < 4
}

simon0104-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = (1,1)-abs(z * c * z * c * z + c)
  |z| < 4
}

simon0104-B {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = (1,1)+abs(z * c * z * c * z + c)
  |z| < 4
}

simon0104-C {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = (0-abs(1,1))+abs(z * z + c)
  |z| < 4
}

simon0104-D {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = (0-abs(1,1))-abs(z * z + c)
  |z| < 4
}

simon0105-A {
  if (ismand)
    x = y = z = j = pixel
  else
    x = y = z = pixel
    j = p1
  endif:
  x = flip(x * x+j)
  y = y*y*y + (2*real(j))-(2*flip(imag(j)))
  z = z * z + j
  |x+y+z| >= |z|*|y|*|x|
}
;
; (u+iv) * (x+iy) = (ux - vy) + i(vx + uy)
;
simon0105-B {
  if (ismand)
    x = y = z = j = pixel
  else
    x = y = z = pixel
    j = p1
  endif:
  x = flip(x * x+j)
  y = y*y*y + (2*real(j))-(2*abs(flip(imag(j))))
  z = z * z + j
  |x+y+z| >= |z|*|y|*|x|
}

simon0105-C {
  if (ismand)
    x = y = z = j = pixel
  else
    x = y = z = pixel
    j = p1
  endif:
  x = flip(x * x+j)
  y = y*y*y + (2*abs(real(j)))-(2*flip(imag(j)))
  z = z * z + j
  |x+y+z| >= |z|*|y|*|x|
}

simon0105-D {
  if (ismand)
    x = y = z = j = pixel
  else
    x = y = z = pixel
    j = p1
  endif:
  x = flip(x * x+j)
  y = y*y*y + abs((2*real(j))-(2*abs(flip(imag(j)))))
  z = z * z + j
  |x+y+z| >= |z|*|y|*|x|
}

simon0105-E {
  if (ismand)
    x = y = z = j = pixel
  else
    x = y = z = pixel
    j = p1
  endif:
  x = x*x*(-1) + j
  y = y*y*y*(-1) + (2*real(j))-(2*flip(imag(j)))
  z = z*z*(-1) + j
  |x+y+z| >= |z|*|y|*|x|
}

simon0105-F {
  if (ismand)
    x = y = z = j = pixel
  else
    x = y = z = pixel
    j = p1
  endif:
  x = x*x*(-1) + j
  y = y*y*y*(-1) + abs(2*real(j))-(2*flip(imag(j)))
  z = z*z*(-1) + j
  |x+y+z| >= |z|*|y|*|x|
}

simon0105-G {
  if (ismand)
    x = y = z = j = pixel
  else
    x = y = z = pixel
    j = p1
  endif:
  x = x*x*(-1) + j
  y = y*y*y*(-1) + (2*real(j))-abs(2*flip(imag(j)))
  z = z*z*(-1) + j
  |x+y+z| >= |z|*|y|*|x|
}

simon0105-H {
  if (ismand)
    x = y = z = j = pixel
  else
    x = y = z = pixel
    j = p1
  endif:
  x = x*x*(-1) + j
  y = y*y*y*(-1) + abs(2*real(j))-abs(2*flip(imag(j)))
  z = z*z*(-1) + j
  |x+y+z| >= |z|*|y|*|x|
}

simon0106-A {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  z = z * z + j
  |z+j| < 4
}

simon0106-B {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  z = z * z + j
  |z^j| < 4
}

simon0106-C {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  z = z * z + j
  |z*j| < 4
}

simon0106-D {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  z = z * z + j
  |z-j| < 4
}

simon0106-E {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  z = z * z + j
  |z*j*j| < 4
}

simon0106-F {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  z = z * z + j
  |real(z*j)| < 4
}

simon0106-G {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  z = z * z + j
  |imag(z*j)| < 4
}

simon0106-H {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  z = z * z + j
  |real(z^j)+imag(z*j)| < 4
}

simon0106-I {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  z = z * z + j
  |real(z*j)-imag(z^j)| < 4
}

simon0107-A {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  z = z + abs(z):
  z = (z * z) - abs(j/z) + j
  |z| < 4
}

simon0108-A {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j):
  ;z = z / abs(z):
  r = real(z)
  i = imag(z)
  z = r + flip(i)
  z = z * z + j
  |z| < 4
}

simon0108-B {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j):
  ;z = z / abs(z):
  r = real(z)
  i = imag(z)
  z = r+r + flip(i)
  z = z * z + j
  |z| < 4
}

simon0108-C {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j):
  ;z = z / abs(z):
  r = real(z)
  i = imag(z)
  z = r+r+r + flip(i)
  z = z * z + j
  |z| < 4
}

simon0108-D {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j):
  ;z = z / abs(z):
  r = real(z)
  i = imag(z)
  z = r+r+r+r + flip(i)
  z = z * z + j
  |z| < 4
}

simon0108-E {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j):
  ;z = z / abs(z):
  r = real(z)
  i = imag(z)
  z = r + flip(i+i)
  z = z * z + j
  |z| < 4
}

simon0108-F {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j):
  ;z = z / abs(z):
  r = real(z)
  i = imag(z)
  z = r+r + flip(i+i)
  z = z * z + j
  |z| < 4
}

simon0108-G {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j):
  ;z = z / abs(z):
  r = real(z)
  i = imag(z)
  z = r+r+r + flip(i+i)
  z = z * z + j
  |z| < 4
}

simon0108-H {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j):
  ;z = z / abs(z):
  r = real(z)
  i = imag(z)
  z = r+r+r+r + flip(i+i)
  z = z * z + j
  |z| < 4
}

simon0108-I {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j):
  ;z = z / abs(z):
  r = real(z)
  i = imag(z)
  z = r + flip(i+i+i)
  z = z * z + j
  |z| < 4
}

simon0108-J {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j):
  ;z = z / abs(z):
  r = real(z)
  i = imag(z)
  z = r+r + flip(i+i+i)
  z = z * z + j
  |z| < 4
}

simon0108-K {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j):
  ;z = z / abs(z):
  r = real(z)
  i = imag(z)
  z = r+r+r + flip(i+i+i)
  z = z * z + j
  |z| < 4
}

simon0108-L {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j):
  ;z = z / abs(z):
  r = real(z)
  i = imag(z)
  z = r+r+r+r + flip(i+i+i)
  z = z * z + j
  |z| < 4
}

simon0108-M {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j):
  ;z = z / abs(z):
  r = real(z)
  i = imag(z)
  z = r + flip(i+i+i+i)
  z = z * z + j
  |z| < 4
}

simon0108-N {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j):
  ;z = z / abs(z):
  r = real(z)
  i = imag(z)
  z = r+r + flip(i+i+i+i)
  z = z * z + j
  |z| < 4
}

simon0108-O {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j):
  ;z = z / abs(z):
  r = real(z)
  i = imag(z)
  z = r+r+r + flip(i+i+i+i)
  z = z * z + j
  |z| < 4
}

simon0108-P {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j):
  ;z = z / abs(z):
  r = real(z)
  i = imag(z)
  z = r+r+r+r + flip(i+i+i+i)
  z = z * z + j
  |z| < 4
}

simon0109-A {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j)
  z = abs(z):
  r = real(z)
  i = imag(z)
  z = r + flip(i)
  z = z * z + jabs
  |z| < 4
}

simon0109-B {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j)
  z = abs(z):
  r = real(z)
  i = imag(z)
  z = r+r + flip(i)
  z = z * z + jabs
  |z| < 4
}

simon0109-C {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j)
  z = abs(z):
  r = real(z)
  i = imag(z)
  z = r+r+r + flip(i)
  z = z * z + jabs
  |z| < 4
}

simon0109-D {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j)
  z = abs(z):
  r = real(z)
  i = imag(z)
  z = r+r+r+r + flip(i)
  z = z * z + jabs
  |z| < 4
}

simon0109-E {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j)
  z = abs(z):
  r = real(z)
  i = imag(z)
  z = r + flip(i+i)
  z = z * z + jabs
  |z| < 4
}

simon0109-F {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j)
  z = abs(z):
  r = real(z)
  i = imag(z)
  z = r+r + flip(i+i)
  z = z * z + jabs
  |z| < 4
}

simon0109-G {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j)
  z = abs(z):
  r = real(z)
  i = imag(z)
  z = r+r+r + flip(i+i)
  z = z * z + jabs
  |z| < 4
}

simon0109-H {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j)
  z = abs(z):
  r = real(z)
  i = imag(z)
  z = r+r+r+r + flip(i+i)
  z = z * z + jabs
  |z| < 4
}

simon0109-I {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j)
  z = abs(z):
  r = real(z)
  i = imag(z)
  z = r + flip(i+i+i)
  z = z * z + jabs
  |z| < 4
}

simon0109-J {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j)
  z = abs(z):
  r = real(z)
  i = imag(z)
  z = r+r + flip(i+i+i)
  z = z * z + jabs
  |z| < 4
}

simon0109-K {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j)
  z = abs(z):
  r = real(z)
  i = imag(z)
  z = r+r+r + flip(i+i+i)
  z = z * z + jabs
  |z| < 4
}

simon0109-L {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j)
  z = abs(z):
  r = real(z)
  i = imag(z)
  z = r+r+r+r + flip(i+i+i)
  z = z * z + jabs
  |z| < 4
}

simon0109-M {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j)
  z = abs(z):
  r = real(z)
  i = imag(z)
  z = r + flip(i+i+i+i)
  z = z * z + jabs
  |z| < 4
}

simon0109-N {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j)
  z = abs(z):
  r = real(z)
  i = imag(z)
  z = r+r + flip(i+i+i+i)
  z = z * z + jabs
  |z| < 4
}

simon0109-O {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j)
  z = abs(z):
  r = real(z)
  i = imag(z)
  z = r+r+r + flip(i+i+i+i)
  z = z * z + jabs
  |z| < 4
}

simon0109-P {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  jabs = abs(j)
  z = abs(z):
  r = real(z)
  i = imag(z)
  z = r+r+r+r + flip(i+i+i+i)
  z = z * z + jabs
  |z| < 4
}

simon0110-A {
  n = 0
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  n = n + 1
  if (n == 1)
    z = z * p2
  endif
  if (n == 2)
    z = z - p2
    n = 0
  endif
  z = z * z + j
  |z| < 4
}

simon0110-B {
  n = 0
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  n = n + 1
  if (n == 1)
    z = z * p2 + z
  endif
  if (n == 2)
    z = z - p2
    n = 0
  endif
  z = z * z + j
  |z| < 4
}

simon0111-A {
  n = 0
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  n = n + 1
  if (n < 5)
    z = z * z + j
  endif
  if (n == 5)
    z = z - j
    n = 0
  endif
  |z| < 4
}

simon0111-B {
  n = 0
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  n = n + 1
  if (n < 5)
    z = z * z
  endif
  if (n == 5)
    z = z * z + j
    n = 0
  endif
  |z| < 4
}

simon0111-C {
  n = 0
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  n = n + 1
  if (n < 5)
    z = z * z
  endif
  if (n == 5)
    z = z + j
    n = 0
  endif

  if (abs(z) != z)
    z = z + 0.25
  endif
  |z| < 4
}

simon0111-D {
  ; P2 - amount to add on or subtract
  ;
  if (p2 == 0)
    p2 = 0.25
  endif

  n = 0
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  n = n + 1
  if (n < 5)
    z = z * z
  endif
  if (n == 5)
    z = z + j
    n = 0
  endif

  if (abs(z) != z)
    z = z + p2
  endif
  |z| < 4
}

simon0111-E {
  ; P2 - amount to add on or subtract
  ;
  if (p2 == 0)
    p2 = 0.25
  endif

  n = 0
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  n = n + 1
  if (n < 5)
    z = z * z
  endif
  if (n == 5)
    n = 0
  endif

  if (abs(z) != z)
    z = z + p2
  endif

  |z| < 4
}

simon0111-F {
  ; P2 - amount to add on or subtract
  ;
  if (p2 == 0)
    p2 = 0.25
  endif

  n = 0
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  n = n + 1
  if (n < 5)
    z = z * z + j
  endif
  if (n == 5)
    n = 0
  endif

  if (n == 0 && abs(z) != z)
    z = z + p2
  endif

  |z| < 4
}

simon0112-A {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  aj = abs(j):
  az = abs(z)
  z = (z + az) * (z + az) + (j + aj)
  |(z + az)| < 4
}

simon0112-B {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  aj = abs(j):
  az = abs(z)
  z = (z - az) * (z - az) + (j - aj)
  |(z - az)| < 4
}

simon0112-C {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  aj = abs(j):
  az = abs(z)
  z = (z * az) * (z * az) + (j * aj)
  |(z * az)| < 4
}

simon0112-D {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  aj = abs(j):
  az = abs(z)
  z = (z / az) * (z / az) + (j / aj)
  |(z / az)| < 4
}

simon0112-E {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  aj = abs(j):
  az = abs(z)
  z = (az + z) * (az + z) + (aj + j)
  |(az + z)| < 4
}

simon0112-F {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  aj = abs(j):
  az = abs(z)
  z = (az - z) * (az - z) + (aj - j)
  |(az - z)| < 4
}

simon0112-G {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  aj = abs(j):
  az = abs(z)
  z = (az * z) * (az * z) + (aj * j)
  |(az * z)| < 4
}

simon0112-H {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  aj = abs(j):
  az = abs(z)
  z = (az / z) * (az / z) + (aj / j)
  |(az / z)| < 4
}

simon0113-A {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  aj = abs(j)
  cj = cabs(j):
  az = abs(z)
  cz = cabs(z)
  z = (z*(az+cz))*(z*(az+cz))+(j*(aj+cj))
  |z| < 4
}

simon0113-B {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  aj = abs(j)
  cj = cabs(j):
  az = abs(z)
  cz = cabs(z)
  z = (z*(az-cz))*(z*(az-cz))+(j*(aj-cj))
  |z| < 4
}

simon0113-C {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  aj = abs(j)
  cj = cabs(j):
  az = abs(z)
  cz = cabs(z)
  z = (z*az*cz)*(z*az*cz)+(j*aj*cj)
  |z| < 4
}

simon0113-D {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  aj = abs(j)
  cj = cabs(j):
  az = abs(z)
  cz = cabs(z)
  z = (z*(az/cz))*(z*(az/cz)) +(j*aj/cj))
  |z| < 4
}

simon0113-E {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  aj = abs(j)
  cj = cabs(j):
  az = abs(z)
  cz = cabs(z)
  z = z*z+az*az+cz*cz+j+aj+cj
  |z| < 4
}

simon0113-F {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  aj = abs(j)
  cj = cabs(j):
  az = abs(z)
  cz = cabs(z)
  z = z*z-az*az-cz*cz+j+aj+cj
  |z| < 4
}

simon0113-G {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  aj = abs(j)
  cj = cabs(j):
  az = abs(z)
  cz = cabs(z)
  z = z*z*az*az*cz*cz+j+aj+cj
  |z| < 4
}

simon0113-H {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  aj = abs(j)
  cj = cabs(j):
  az = abs(z)
  cz = cabs(z)
  z = z*z/az*az/cz*cz+j+aj+cj
  |z| < 4
}

simon0114-A {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  z = z * z + j
  j = 0 - j
  |z| < 4
}

simon0115-A {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  z = z * z + j
  j = 1/j
  |z| < 4
}

simon0116-A {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  z = z * z + j
  j = 0 - j
  z = 1/z
  |z| < 4
}

simon0116-B {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  z = z * z + j
  j = 0 - j
  z = (0,1)/z
  |z| < 4
}

simon0116-C {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  z = z * z + (1/j)
  j = 0 - j
  z = 1/z
  |z| < 4
}

simon0116-D {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  z = z * z * z + (1/j)
  j = 0 - j
  z = 1/z
  |z| < 4
}

simon0117-A {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  zt = z * z
  z = zt * abs(zt) + j
  |z| < 4
}

simon0118-A {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  z  = z * z - z ^ z + j
  |z| < 4
}

simon0118-B {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  z  = z ^ z ^ z + j
  |z| < 4
}

simon0119-A {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  oldz = z
  z = z * z + j

  if (|oldz|<|z|)
    z = z * z + j
  elseif (|oldz|==|z|)
    z = z * z * z
  elseif (|oldz|>|z|)
    z = z * z - j
  endif
  |z| < 4
}

simon0119-B {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  oldz = z
  z = z * z + j

  if (|oldz|>|z|)
    z = z * z + j
  elseif (|oldz|==|z|)
    z = z * z * z
  elseif (|oldz|<|z|)
    z = z * z - j
  endif
  |z| < 4
}

simon0119-C {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  oldz = z
  z = z * z + j
  if (|oldz|<|z|)
    z = z * z + j
  elseif (|oldz|==|z|)
    z = z + j
  elseif (|oldz|>|z|)
    z = z * z * z + j
  endif
  |z| < 4
}

simon0119-D {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  oldz = z
  z = z * z + j
  if (|oldz|>|z|)
    z = z * z + j
  elseif (|oldz|==|z|)
    z = z + k
  elseif (|oldz|<|z|)
    z = z * z * z + j
  endif
  |z| < 4
}

simon0119-E {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  oldz = z
  z = z * z + j
  if (|oldz|<|z|)
    z = z * z + j
  elseif (|oldz|==|z|)
    z = z + j
  elseif (|oldz|>|z|)
    z = z * z * z + j
  endif
  |z - oldz| > 0.005 && |z|-|oldz| < 16
}

simon0120-A {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  z = z * z + j
  |z| < 4 && |z| > 0.05
}

simon0120-B {
  ;      p1 = julia seed
  ; real p2 = max bailout
  ; imag p2 = min bailout
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  z = z * z + j
  |z| < real(p2) && |z| > imag(p2)
}

simon0120-C {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  it=0:
  z = z * z + j
  it = it + z
  |z| > it || |z| < 4
}

simon0120-D {
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif:
  z = z * z + j
  |z| < 4
}
simon0120-E {
  ; attempted form of anti-aliasing
  if (ismand)
    z = j = pixel
  else
    z = pixel
    j = p1
  endif
  ; pixels around this pixel are
  ; numbered 1-9, with this pixel
  ; being number 5
  p5 = pixel
  p4 = p5:
  z = z * z + j
  it = it + z
  |z| > it || |z| < 4
}

simon0121-A {
  ; trying something unusual
  ;
  z = p2
  if (z==(0,0))
    z = (1.2,-1)
  endif
  p = fn1(pixel)
  j = |p|:
  z = fn2(z)
  z = z * z + p
  |z| > 4
}

simon0121-B {
  ; trying something unusual
  ;
  z = p2
  if (z==(0,0))
    z = (1.2,-1)
  endif
  p = fn1(pixel)
  j = |p|:
  z = fn2(z)
  z = z * z + p
  |z| < 4
}

simon0122-A {
  ; really trying
  ;
  z = pixel
  p = pixel
  ap = abs(p)
  cp = cabs(p)
  j = |p| * p:
  z = z * z - p + ap * j ^ (-1)
  |z| < 4
}

simon0123-A {
  p  = pixel
  pr = real(p)
  pi = imag(p)
  z  = ((p*10)-ceil(p*10))/10
  count = 0:
  zr = real(z)
  zi = imag(z)
  zr = zr * zr + pr
  zi = zi * zi + pi
  z  = flip(zi) + zr
  count = count + 1
  count <= 50
}

simon0123-A1 {
  p  = pixel
  pr = real(p)
  pi = imag(p)
  if (ismand)
    z  = p
  else
    z = p1
  endif
  count = 0:
  zr = real(z)
  zi = imag(z)
  zr = zr * zr + pr
  zi = zi * zi + pi
  z  = flip(zi) + zr
  count = count + 1
  count <= 50
}

simon0123-B {
  p  = pixel
  pr = real(p)
  pi = imag(p)
  z  = ((p*10)-ceil(p*10))/10
  count = 0:
  zr = real(z)
  zi = imag(z)
  zr = zr * zr + pr
  zi = zi * zi + pi
  z  = flip(zi) + zr
  z  = z * z + p
  count = count + 1
  count <= 50
}

simon0123-C {
  p  = pixel
  pr = real(p)
  pi = imag(p)
  z  = ((p*100)-floor(p*100))/100
  count = 0:
  zr = real(z)
  zi = imag(z)
  zr = zr * zr + pr
  zi = zi * zi + pi
  z  = flip(zi) + zr
  count = count + 1
  count <= 50
}

simon0123-D {
  p  = pixel
  pr = 0-abs(real(p))
  pi = 0-abs(imag(p))
  z  = (floor(p*100)/(p*100))/100
  count = 0:
  zr = real(z)
  zi = imag(z)
  zr = zr * zr + pr
  zi = zi * zi + pi
  z  = flip(zi) + zr
  count = count + 1
  count <= 50
}

simon0123-D1 {
  p  = pixel
  pr = 0-abs(real(p))
  pi = 0-abs(imag(p))
  if (ismand)
    z  = (floor(p*100)/(p*100))/100
  else
    z  = (floor(p1*100)/(p1*100))/100
  endif
  count = 0:
  zr = real(z)
  zi = imag(z)
  zr = zr * zr + pr
  zi = zi * zi + pi
  z  = flip(zi) + zr
  count = count + 1
  count <= 50
}

simon0123-D2 {
  p  = pixel
  pr = 0-abs(real(p))
  pi = 0-abs(imag(p))
  if (ismand)
    z  = p
  else
    z  = p1
  endif:
  zr = real(z)
  zi = imag(z)
  zr = zr * zr + pr
  zi = zi * zi + pi
  z  = flip(zi) + zr
  |z| < 4
}

simon0123-E {
  p  = pixel
  pr = 0-abs(real(p))
  pi = 0-abs(imag(p))
  z  = (floor(p*100)/(p*100))/100
  count = 0:
  zr = real(z)
  zi = imag(z)
  zr = zr * zr + zr + pr
  zi = zi * zi + zi + pi
  z  = flip(zi) + zr
  count = count + 1
  count <= 50
}

simon0123-F {
  p  = pixel
  pr = 0-abs(real(p))
  pi = 0-abs(imag(p))
  z  = (floor(p*100)/(p*100))/100
  count = 0:
  zr = real(z)
  zi = imag(z)
  zr = zr * zr + zr - pr
  zi = zi * zi + zi - pi
  z  = flip(zi) + zr
  count = count + 1
  count <= 50
}

simon0123-F1 {
  p  = pixel
  pr = 0-abs(real(p))
  pi = 0-abs(imag(p))
  if (ismand)
    z  = p
  else
    z = p1
  endif
  count = 0:
  zr = real(z)
  zi = imag(z)
  zr = zr * zr + zr - pr
  zi = zi * zi + zi - pi
  z  = flip(zi) + zr
  count = count + 1
  count <= 50
}

simon0124-A {
  flag = 1
  mp = pixel
  jp = p1
  if (ismand)
    z = mp
  else
    z = jp
  endif:
  if (flag==1)
    z = flip(z * z) + jp
    newflag = 0
  endif
  if (flag==0)
    z = z * z + mp
    newflag = 1
  endif
  flag = newflag
  |z| < 4
}

simon0124-B {
  flag = 1
  mp = pixel
  jp = p1
  if (ismand)
    z = mp
  else
    z = jp
  endif:
  if (flag==1)
    z = z * z + jp
    newflag = 0
  endif
  if (flag==0)
    z = flip(z * z) + mp
    newflag = 1
  endif
  flag = newflag
  |z| < 4
}

simon0124-C {
  flag = 1
  mp = pixel
  jp = p1
  if (ismand)
    z = mp
  else
    z = jp
  endif:
  if (flag==0)
    z = fn1(z * z) + mp
    newflag = 1
  endif
  if (flag==1)
    z = z * z + jp
    newflag = 0
  endif
  flag = newflag
  |z| < 4
}

simon0124-D {
  flag = 1
  mp = pixel
  jp = p1
  if (ismand)
    z = mp
  else
    z = jp
  endif:
  if (flag==0)
    z = z * z + mp
    newflag = 1
  endif
  if (flag==1)
    z = fn1(z * z) + jp
    newflag = 0
  endif
  flag = newflag
  |z| < 4
}

simon0125-A4 {
  flag = 1
  z = p = pixel
  if (ismand)
    z = p
  else
    p = p1
  endif:
  if (flag==1)
    z = z * z + p
    if (|z| < 4)
      newflag = 2
    else
      newflag = 0
    endif
  endif
  if (flag==2)
    z = flip(z * z + p)
    if (|z| < 4)
      newflag = 3
    else
      newflag = 0
    endif
  endif
  if (flag==3)
    z = 1/(z * z + p)
    if (|z| < 4)
      newflag = 4
    else
      newflag = 0
    endif
  endif
  if (flag==4)
    z = sqrt(z * z) + p
    if (|z| < 4)
      newflag = 1
    else
      newflag = 0
    endif
  endif
  flag = newflag
  flag>0
}

simon0125-B4 {
  flag = 1
  z = p = pixel
  if (ismand)
    z = p
  else
    p = p1
  endif:
  if (flag==1)
    z = z * z + p
    if (|z| < 4)
      newflag = 2
    else
      newflag = 0
    endif
  endif
  if (flag==2)
    z = flip(z * z + p)
    if (|z| < 4)
      newflag = 3
    else
      newflag = 0
    endif
  endif
  if (flag==3)
    z = 1/(z * z + p)
    if (|z| < 4)
      newflag = 4
    else
      newflag = 0
    endif
  endif
  if (flag==4)
    z = sqrt(z * z) + p
    if (|z| < 4)
      newflag = 1
    else
      newflag = 0
    endif
  endif
  flag = newflag
  newflag>0
}

simon0125-C4 {
  flag = 1
  z = p = pixel
  if (ismand)
    z = p
  else
    p = p1
  endif:
  if (flag==1)
    z = z * z + p
    if (|z| < 4)
      newflag = 2
    else
      newflag = 0
    endif
  endif
  if (flag==2)
    z = flip(z * z) + p
    if (|z| < 4)
      newflag = 3
    else
      newflag = 0
    endif
  endif
  if (flag==3)
    z = z * z + (1/p)
    if (|z| < 4)
      newflag = 4
    else
      newflag = 0
    endif
  endif
  if (flag==4)
    z = z + p
    if (|z| < 4)
      newflag = 1
    else
      newflag = 0
    endif
  endif
  flag = newflag
  newflag>0
}

simon0125-D4 {
  flag = 1
  z = p = pixel
  if (ismand)
    z = p
  else
    p = p1
  endif:
  if (flag==1)
    z = z * z + p
    if (|z| < 4)
      newflag = 2
    else
      newflag = 0
    endif
  endif
  if (flag==2)
    z = z * z + p
    if (|z| < 4)
      newflag = 3
    else
      newflag = 0
    endif
  endif
  if (flag==3)
    z = z * z + (1/p)
    if (|z| < 4)
      newflag = 4
    else
      newflag = 0
    endif
  endif
  if (flag==4)
    z = z * z + p
    if (|z| < 4)
      newflag = 1
    else
      newflag = 0
    endif
  endif
  flag = newflag
  newflag>0
}

simon0125-D2 {
  flag = 1
  z = p = pixel
  if (ismand)
    z = p
  else
    p = p1
  endif:
  if (flag==1)
    z = z * z + p
    if (|z| < 4)
      newflag = 2
    else
      newflag = 0
    endif
  endif
  if (flag==2)
    z = z * z + (1/p)
    if (|z| < 4)
      newflag = 1
    else
      newflag = 0
    endif
  endif
  flag = newflag
  newflag>0
}

simon0125-E2 {
  flag = 1
  z = p = pixel
  if (ismand)
    z = p
  else
    p = p1
  endif:
  if (flag==1)
    z = z * z + p
    if (|z| < 4)
      newflag = 2
    else
      newflag = 0
    endif
  endif
  if (flag==2)
    z = z * z + (1-p)
    if (|z| < 4)
      newflag = 1
    else
      newflag = 0
    endif
  endif
  flag = newflag
  newflag>0
}

simon0125-F2 {
  flag = 1
  z = p = pixel
  if (ismand)
    z = p
  else
    p = p1
  endif:
  if (flag==1)
    z = z * z + p
    if (|z| < 4)
      newflag = 2
    else
      newflag = 0
    endif
  endif
  if (flag==2)
    z = 1/(z * z + p)
    if (|z| < 4)
      newflag = 1
    else
      newflag = 0
    endif
  endif
  flag = newflag
  newflag>0
}

simon0126-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * abs(z) + c * abs(c)
  z = z * z + c
  |z| < 4
}

simon0126-B {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:
  z = abs(z) ^ c
  z = abs(c) ^ z
  z = z * z + c
  |z| < 4
}

simon0127-A {
  ; Fake anti-aliasing
  ;
  ; Set p2 to the distance between pixels
  ; to be averaged
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  ztl = z - p2
  ztc = z - imag(p2)
  ztr = z + real(p2)-imag(p2)
  zcl = z - real(p2)
  zcr = z + real(p2)
  zbl = z - real(p2)+imag(p2)
  zbc = z + imag(p2)
  zbr = z + p2:

  ztl = ztl * ztl + c
  ztc = ztc * ztc + c
  ztr = ztr * ztr + c
  zcl = zcl * zcl + c
  z = z * z + c
  zcr = zcr * zcr + c
  zbl = zbl * zbl + c
  zbc = zbc * zbc + c
  zbr = zbr * zbr + c

  ; average out values
  z = (ztl+ztc+ztr+zcl+z+zcr+zbl+zbc+zbr)/9
  |z| < 4
}

simon0127-B {
  ; Not very good fake anti-aliasing
  ;
  ; Set:
  ;   p2 to the distance between pixels
  ;     to be averaged
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  flag = 0
  p2r = real(p2)
  p2i = imag(p2)
  ztl = z - p2
  ztc = z - p2i
  ztr = z + p2r-p2i
  zcl = z - p2r
  zcr = z + p2r
  zbl = z - p2r+p2i
  zbc = z + p2i
  zbr = z + p2:

  if (flag==1)
    z = z - 0.1
    if (z < 1)
      flag = 2
    endif
  elseif (flag==0)
    ztl = ztl * ztl + c
    ztc = ztc * ztc + c
    ztr = ztr * ztr + c
    zcl = zcl * zcl + c
    z   = z * z + c
    zcr = zcr * zcr + c
    zbl = zbl * zbl + c
    zbc = zbc * zbc + c
    zbr = zbr * zbr + c

    ; average out values
    ;
    av = ztl+ztc+ztr+zcl+z+zcr+zbl+zbc+zbr
    av = av/9

    if (|z|>4)
      z    = |av|
      flag = 1
    endif
  endif

  flag != 2
}

simon0128-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:

  z = z * z * abs(z) + c

  |z| < 4
}

simon0128-B {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:

  ztemp = z * z * abs(z) + c
  z = abs(z) * abs(z) * z + c

  z = z * ztemp

  |z| < 4
}

simon0129-A {
  flag = 0
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:

  flag = flag + 1

  if (flag==1)
    z = z * z + c
  endif

  if (flag==2)
    z = 1/(z*z)+ c
  endif

  if (flag==3)
    z = z ^ (-1) + c
    flag = 0
  endif

  |z| < 4
}
simon0129-B {
  flag = 0
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif:

  flag = flag + 1

  if (flag==1)
    z = z * z + c
  endif

  if (flag==2)
    z = z - (c*c)
  endif

  if (flag==3)
    z = 1/(z*z + c)
    flag = 0
  endif

  |z| < 4
}

simon0130-A {
  bail1 = real(p2)
  if (bail1 == 0)
    bail1 = 4
  endif

  bail2 = imag(p2)
  if (bail2 == 0)
    bail2 = 1
  endif

  if (ismand)
    z = z1 = c = pixel
  else
    z = z1 = pixel
    c = p1
  endif:

  z = z * z + c
  z1 = 1/(z1 * z1 + c)

  |z| < bail1 && |z1| > bail2
}

simon0130-B {
  bail1 = real(p2)
  if (bail1 == 0)
    bail1 = 4
  endif

  bail2 = imag(p2)
  if (bail2 == 0)
    bail2 = 1
  endif

  if (ismand)
    z = z1 = c = pixel
  else
    z = z1 = pixel
    c = p1
  endif:

  ztemp = z * z + c
  z = 1/(z1 * z1 + c)
  z1 = ztemp

  |z| < bail1 && |z1| > bail2
}

simon0130-C {
  bail1 = real(p2)
  if (bail1 == 0)
    bail1 = 4
  endif

  bail2 = imag(p2)
  if (bail2 == 0)
    bail2 = 1
  endif

  if (ismand)
    z = z1 = c = pixel
  else
    z = z1 = pixel
    c = p1
  endif:

  ztemp = (z * z) ^ (z1 * z1) + c
  z = 1/ztemp
  z1 = ztemp

  |z| < bail1 && |z1| > bail2
}

simon0130-D {
  bail1 = real(p2)
  bail1 = flip(bail1) + bail1
  if (bail1 == 0)
    bail1 = 4
  endif

  bail2 = imag(p2)
  bail2 = flip(bail2) + bail2
  if (bail2 == 0)
    bail2 = 1
  endif

  if (ismand)
    z = z1 = c = pixel
  else
    z = z1 = pixel
    c = p1
  endif:

  ztemp = (z * z) ^ (z1 * z1) + c
  z = 1/ztemp
  z1 = ztemp

  |z| < bail1 && |z1| > bail2
}

simon0131-A {
  bail1 = real(p2)
  if (bail1 == 0)
    bail1 = 4
  endif

  bail2 = imag(p2)
  if (bail2 == 0)
    bail2 = 1
  endif

  if (ismand)
    z = z1 = c = pixel
  else
    z = z1 = pixel
    c = p1
  endif
  c = log(1/c):

  ztemp = (z1 * z1) ^ (z * z) + c
  z = 1/ztemp
  z1 = ztemp

  |z| < bail1 && |z1| > bail2
}

simon0132-A {
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif
  c = 0-abs(c) + c:
  z = z * z + c
  |z| < 4
}

simon0132-B {
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif
  c = 0-abs(c) ^ abs(c):
  z = z * z + c
  |z| < 4
}

simon0132-C {
  mult = -2
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif
  ctemp = floor(c*mult);/mult ^ round(c*mult)/mult
  c = ctemp
  ;c = ctemp + ((-1,1) * ctemp)
  ;c = ctemp + ((1,-1) * ctemp)
  :
  z = z * z + c
  |z| < 4
}

simon0132-D {
  z = pixel
  if (ismand)
    c = z
  else
    c = p1
  endif
  c = 1/(c*c):
  z = z * z + c
  |z| < 4
}

simon0133-A {
  if (ismand)
    c = z = zn = pixel
  else
    z = zn = pixel
    c = p1
  endif:
  zn = zn * zn + c
  zr = real(z)
  zi = imag(z)
  zrt = zr * zr + zi
  zit = zi * zi + zr
  z = zrt + imag(zit)
  z = z * z + c
  |z| < 4 && |zn| < 4
}

simon0133-B {
  if (ismand)
    c = z = zn = pixel
  else
    z = zn = pixel
    c = p1
  endif:
  zn = zn * zn + c
  zr = real(z)
  zi = imag(z)
  zrt = zr * zr + zi
  zit = zi * zi + zr
  z = zrt + imag(zit)
  z = z * z + c
  |z| < 4 || |zn| < 4
}

simon0133-C {
  if (ismand)
    c = z = zn = pixel
  else
    z = zn = pixel
    c = p1
  endif:
  zn = zn * zn + c
  zr = real(z)
  zi = imag(z)
  zrt = zr * zr + zi
  zit = zi * zi + zr
  z = zrt + imag(zit)
  z = z * z + c
  |z + zn| < 4
}

simon0133-D {
  if (ismand)
    c = z = zn = pixel
  else
    z = zn = pixel
    c = p1
  endif:
  zn = zn * zn + c
  zr = real(z)
  zi = imag(z)
  zrt = zr * zr * zi * zi
  zit = zi * zi * zr * zr
  z = zrt + imag(zit)
  z = z * z + c
  |z ^ zn| < 4
}

simon0133-E {
  if (ismand)
    c = z = zn = pixel
  else
    z = zn = pixel
    c = p1
  endif:
  zn = zn * zn + c
  zr = real(z)
  zi = imag(z)
  zrt = zr * zr * zi * zi
  zit = zi * zi * zr * zr
  z = zrt + imag(zit)
  z = z * z + c
  |z * zn| < 4
}

simon0134-A {
  if (ismand)
    c = z = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z + c
  c = c * c / z
  |z| < 4
}

simon0134-B {
  if (ismand)
    c = z = pixel
  else
    z = pixel
    c = p1
  endif:
  z = z * z + c
  c = (c * c) ^ z
  |z| < 4
}

simon0135-A {
  ; Make col equal to a number between 0 and 224 (for colours)
  if (ismand)
    z = p = pixel
  else
    z = pixel
    p = p1
  endif

  x = real(z)
  ;y = imag(z)
  col = 224 * ((x+2)/4)

  ; set a counter
  counter = col:

  ; decrement counter until equals zero
  counter = counter - 1
  z = z * z + p

  counter = counter + real(z) + imag(z)

  ; bailout condition
  counter > 1
}

simon0135-B {
  ; Make col equal to a number between 0 and 224 (for colours)
  if (ismand)
    z = p = pixel
  else
    z = pixel
    p = p1
  endif

  x = real(z)
  ;y = imag(z)
  xcol = 112 * ((x+2)/4)
  ycol = 224 - (112 * ((y+1.5)/3))

  ; set a counter
  counter = xcol ^ ycol:

  ; decrement counter until equals zero
  counter = counter - 1
  z = z * z + p

  counter = counter + real(z) + imag(z)

  ; bailout condition
  counter > 1
}

simon0136-A {
  ; Going to try to pack circles
  ; real(p2) = circle radius
  ; imag(p2) = chunkiness
  rad = real(p2)
  if (rad==0)
    rad = 2
  endif
  ch  = imag(p2)
  if (ch==0)
    ch = 1000
  endif
  z = p = pixel
  ;x = real(p)
  ;y = imag(p)
  r = 128 + 64 * real(p)
  i = 128 + 64 * imag(p)
  flag = 0    ; flag for bailout check
  counter = 0 ; misc. counter

  ; work out chunkiness
  fct = (ch*r)/ch
  fcx = ceil(fct)-floor(fct)
  fct = (ch*i)/ch
  fcy = ceil(fct)-floor(fct)

  fdx = x / fcx
  fdy = y / fcy
  fd  = flip(fdy) + fdx

  ; Check if the current pixel is within rad
  if (|fd| < |rad|)
    counter = counter + p * r
  else
    counter = counter + p * i
  endif:

  ; do this for every iteration
  counter = counter - 1
  if (counter < 1)
    flag = 1
  endif

  ; check if we have 'finished'
  flag == 0
}

simon0136-B {
  ; Going to try to pack circles
  ; real(p2) = circle radius
  ; imag(p2) = chunkiness
  rad = real(p2)
  if (rad==0)
    rad = 2
  endif
  ch  = imag(p2)
  if (ch==0)
    ch = 1000
  endif
  z = p = pixel
  x = real(p)
  y = imag(p)
  r = 128 + 64 * x
  i = 128 + 64 * y
  flag = 0    ; flag for bailout check
  counter = 0 ; misc. counter

  ; work out chunkiness
  fct = (ch*r)/ch
  fcx = ceil(fct)-floor(fct)
  fct = (ch*i)/ch
  fcy = ceil(fct)-floor(fct)

  fdx = x / fcx
  fdy = y / fcy
  fd  = flip(fdy) + fdx

  ; Check if the current pixel is within rad
  if (|fd| < |rad|)
    counter = counter + p * r
  else
    counter = counter + p * i
  endif:

  ; do this for every iteration
  counter = counter - 1
  if (counter < 1)
    flag = 1
  endif

  ; check if we have 'finished'
  flag == 0
}

simon0136-C {
  ; Going to try to pack circles
  ; real(p2) = circle radius
  ; imag(p2) = chunkiness
  rad = real(p2)
  if (rad==0)
    rad = 2
  endif
  ch  = imag(p2)
  if (ch==0)
    ch = 1000
  endif
  z = p = pixel
  x = real(p)
  y = imag(p)
  r = 128 + 64 * x
  i = 128 + 64 * y
  flag = 0    ; flag for bailout check
  counter = 0 ; misc. counter

  ; work out chunkiness
  fct = (ch*r)/ch
  fcx = ceil(fct)-floor(fct)
  fct = (ch*i)/ch
  fcy = ceil(fct)-floor(fct)

  fdx = x * fcx
  fdy = y * fcy
  fd  = flip(fdy) + fdx

  ; Check if the current pixel is within rad
  if (|fd| < |rad|)
    counter = counter + p * r
  else
    counter = counter + p * i
  endif:

  ; do this for every iteration
  counter = counter - 1
  if (counter < 1)
    flag = 1
  endif

  ; check if we have 'finished'
  flag == 0
}

simon0136-D {
  ; Going to try to pack circles
  ; real(p2) = circle radius
  ; imag(p2) = chunkiness
  rad = real(p2)
  if (rad==0)
    rad = 2
  endif
  ch  = imag(p2)
  if (ch==0)
    ch = 1000
  endif
  if (ismand)
    z = p = pixel
  else
    z = pixel
    p = p1
  endif
  x = real(p)
  y = imag(p)
  r = 128 + 128 * x
  i = 128 + 128 * y
  flag = 0    ; flag for bailout check
  counter = 0 ; misc. counter

  ; work out chunkiness
  fct = ch*r
  fcx = (ceil(fct)-floor(fct))/ch
  fct = ch*i
  fcy = (ceil(fct)-floor(fct))/ch

  fdx = x / fcx
  fdy = y / fcy
  fd  = flip(fdy) + fdx

  ; Check if the current pixel is within rad
  if (|fd| < |rad|)
    counter = counter + p ^ r
  else
    counter = counter + p ^ i
  endif:

  ; do this for every iteration
  counter = counter - 1
  if (counter < 1)
    flag = 1
  endif

  ; check if we have 'finished'
  flag == 0
}

simon0137-A {
  if (ismand)
    z = p = pixel
  else
    z = p1
    p = pixel
  endif

  r = |z|
  x = z ^ r
  y = r - x:

  z = cos(r)+flip(sin(r))
  z = z * z + p
  |z| < 9
}

simon0137-B {
  if (ismand)
    z = p = pixel
  else
    z = p1
    p = pixel
  endif

  r = |z|
  x = z ^ r
  y = r - x:

  z = cos(r)+sin(r)
  z = z * z + p
  |z| < 9
}

simon0137-C {
  if (ismand)
    z = p = pixel
  else
    z = p1
    p = pixel
  endif:

  r = |z|
  x = z ^ r
  y = r - x

  z = cos(r)+flip(sin(r))
  z = z * z + p
  |z| < 9
}

simon0137-D {
  if (ismand)
    z = p = pixel
  else
    z = p1
    p = pixel
  endif:

  r = |z|
  x = z ^ r
  y = r - x

  z = cos(r)+sin(r)
  z = z * z + p
  |z| < 9
}

simon0137-E {
  if (ismand)
    z = p = flip(pixel)
  else
    z = flip(p1)
    p = flip(pixel)
  endif

  r = |z|
  x = z * r
  y = r / x:

  zr = x + flip(y)

  z = (cos(x)+flip(sin(y)))^zr
  z = z * z + p
  |z| < 9
}

simon0137-F {
  if (ismand)
    z = p = flip(pixel)
  else
    z = flip(p1)
    p = flip(pixel)
  endif

  r = |z|
  x = z / r
  y = r / x:

  zr = x + flip(y)

  z = (cos(x)+flip(sin(y)))^zr
  z = z * z + p
  |z| < 9
}

simon0137-G {
  if (ismand)
    z = p = pixel
  else
    z = p1
    p = pixel
  endif

  r = |z|
  x = z / r
  y = r / x

  zr = x + flip(y)

  z = (cos(x)+flip(sin(y)))^zr:
  z = z * z + p
  |z| < 9
}

simon0137-H {
  if (ismand)
    z = p = pixel
  else
    z = p1
    p = pixel
  endif

  r = |z|
  x = z / r
  y = r - x:

  z = cos(r)+flip(sin(r))
  z = z * z + p
  |z| < 10
}

simon0137-I {
  if (ismand)
    z = p = pixel
  else
    z = p1
    p = pixel
  endif

  r = |z|
  x = z / r
  y = r - x:

  z = cos(r)+flip(sin(r))
  z = z * z + p
  |z| < 10
}

simon0137-J {
  if (ismand)
    z = p = pixel
  else
    z = p1
    p = pixel
  endif

  r = |z|
  pr = |p|
  x = z / r
  y = r / pr:

  z = cos(r)+flip(sin(r))
  z = z * z ^ (pr * r) + p
  |z| < 10
}

simon0137-K {
  if (ismand)
    z = p = pixel
  else
    z = p1
    p = pixel
  endif

  r = |z|
  pr = |p|
  x = z / r
  y = r / pr:

  zt = cos(r)+flip(sin(r))
  z = z * z * zt + p
  |z| < 10
}

simon0137-L {
  if (ismand)
    z = p = pixel
  else
    z = p1
    p = pixel
  endif

  r = |z|
  pr = |p|
  x = z / r
  y = r / pr:

  zt = sin(r)+flip(cos(r))
  z = z * z * zt + p
  |z| < 10
}

simon0137-M {
  if (ismand)
    z = p = pixel
  else
    z = p1
    p = pixel
  endif

  r = |z|
  pr = |p|
  x = z * r
  y = r * pr:

  zt = tan(r)+flip(sin(r))
  z = z * z * zt + p
  |z| < 10
}

simon0137-N {
  if (ismand)
    z = p = pixel
  else
    z = p1
    p = pixel
  endif
  pr = |p|:

  r = |z|
  x = z * r
  y = r * pr

  zt = cos(r)+flip(sin(r))
  z = z * z * z * zt + p
  |z| < 4
}

simon0138-A {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = (z + p) * abs(z)
  z = z * z + p
  |z| < 4
}

simon0138-B {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = abs(z)-z ^ z
  z = z * z + p
  |z| < 4
}

simon0138-C {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = (abs(z)-z) ^ z
  z = z * z + p
  |z| < 4
}

simon0138-D {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = z ^ abs(z)-z
  z = z * z + p
  |z| < 4
}

simon0138-E {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = 1/abs(z)
  z = z * z + p
  |z| < 4
}

simon0138-F {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  ;v = 1/abs(z)
  ;z = v * v + 1/p
  z = 1/abs(z * z + 1)+p
  |z| < 4
}

simon0138-G {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = abs(z)
  z = 1/(z * z + p)
  |z| < 4
}

simon0138-H {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = abs(z) - (z * z)
  z = z * z - p
  |z| < 4
}

simon0139-A {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = flip(z)*abs(z)
  z = z * z + p
  |z| < 4
}

simon0139-B {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = z*abs(z)
  z = flip(z * z) + p
  |z| < 4
}

simon0139-C {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = z*abs(z) - z
  z = z * z + p
  |z| < 4
}

simon0140-A {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = z * z - p
  z = z * z + p
  |z| < 4
}

simon0140-B {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = z * (0 - p)
  z = z * z + p
  |z| < 4
}

simon0140-C {
  if (ismand)
    c = p = pixel
    z = p
  else
    c = p = p1
    z = pixel
  endif:
  z = z * (0 - c)
  z = z * z + c
  c = c + p
  |z| < 4
}

simon0140-D {
  if (ismand)
    c = p = pixel
    z = p
  else
    c = p = p1
    z = pixel
  endif:
  z = z * z + c
  c = c + p
  |z| < 4
}

simon0140-E {
  if (ismand)
    c = p = pixel
    z = p
  else
    c = p = p1
    z = pixel
  endif:
  z = z * z + c
  c = c + z/p
  |z| < 4
}

simon0140-F {
  if (ismand)
    c = p = pixel
    z = p
  else
    c = p = p1
    z = pixel
  endif:
  z = z * z + c
  c = c * z/p - p
  |z| < 4
}

simon0141-A {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = pi/(z * z + p)
  |z| < 4
}

simon0141-B {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = pi/(z * z + p) - p
  |z| < 4
}

simon0141-C {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = pi/(z * z + p) / p
  |z| < 4
}

simon0141-D {
  if (ismand)
    p = pixel
    z1 = z = p
  else
    p = p1
    z1 = z = pixel
  endif:
  z = pi/(z * z + p) / p
  z1 = z1 * z1 + p
  |z| < 4 || |z1| < 4
}

simon0142-A {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif

  ; split the real and imaginary
  ;
  x = real(z)
  y = imag(z)

  ; separate out integer and fractions
  ;
  xi = trunc(x)
  xf = x - xi
  yi = trunc(y)
  yf = y - yi

  ; change the value of z
  ;
  z = yi * yf
  z = flip(z)
  z = z + xi * xf:

  ; perform normal escape time calculation
  ;
  z = z * z + p
  |z| < 4
}

simon0142-B {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif

  ; split the real and imaginary
  ;
  x = real(z)
  y = imag(z)

  ; separate out integer and fractions
  ;
  xi = trunc(x)
  xf = x - xi
  yi = trunc(y)
  yf = y - yi

  ; change the value of z
  ;
  z = yf
  z = flip(z)
  z = xf:

  ; perform normal escape time calculation
  ;
  z = z * z + p
  |z| < 4
}

simon0142-C {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif

  ; split the real and imaginary
  ;
  x = 0 - abs(real(z) * 10)
  y = imag(z)

  ; separate out integer and fractions
  ;
  xi = trunc(x)
  xf = x - xi
  yi = trunc(y)
  yf = y - yi

  ; change the value of z
  ;
  z = 1/(yi + yf)
  z = flip(z)
  z = z + xi + xf:

  ; perform normal escape time calculation
  ;
  z = z ^ xi + p
  |z| < 400
}

simon0142-D {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif

  x = real(z)
  rp = (x+2)*2.5
  rpower = trunc(rp)
  z = imag(z)
  z = flip(z) + x
  z = z*exp(1/z)+p:

  ; perform normal escape time calculation
  ;
  z = z * z * exp(1/z) + p
  |z| < 400
}

simon0142-E {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif

  ;x = real(z)
  ;rp = (x+2)*2.5
  ;rpower = trunc(rp)
  ;z = imag(z)
  ;z = flip(z) + x
  ;z = z*exp(1/z)+p
  :

  ; perform normal escape time calculation
  ;
  z = z * z * exp(1/z) + p
  |z| < 400
}

simon0142-F {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  rp = (real(z)+3)*2.5
  rpower = round(rp):

  ; perform normal escape time calculation
  ;
  z = z ^ rpower * exp(1/z) + p
  |z| < 36663
}

simon0142-G {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  z2 = z3 = z4 = z5 = z6 = z7 = z8 = z9 = z10 = z11 = z:

  ; perform normal escape time calculation
  ;
  z2 = z2 ^ 2 + p
  z3 = z3 ^ 3 + p
  z4 = z4 ^ 4 + p
  z5 = z5 ^ 5 + p
  z6 = z6 ^ 6 + p
  z7 = z7 ^ 7 + p
  z8 = z8 ^ 8 + p
  z9 = z9 ^ 9 + p
  z10 = z10 ^ 10 + p
  z11 = z11 ^ 11 + p
  z = exp(1/z2) + exp(1/z3) + exp(1/z4) + exp(1/z5) + exp(1/z6) + exp(1/z7) + exp(1/z8) + exp(1/z9) + exp(1/z10) + exp(1/z11)
  |z| < 36663
}

simon0142-H {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  z2 = z3 = z4 = z5 = z6 = z7 = z8 = z9 = z10 = z11 = z:

  ; perform normal escape time calculation
  ;
  z2 = z2 ^ 2 + p
  z3 = z3 ^ 3 + p
  z4 = z4 ^ 4 + p
  z5 = z5 ^ 5 + p
  z6 = z6 ^ 6 + p
  z7 = z7 ^ 7 + p
  z8 = z8 ^ 8 + p
  z9 = z9 ^ 9 + p
  z10 = z10 ^ 10 + p
  z11 = z11 ^ 11 + p
  z = fn1(1/z2) + fn1(1/z3) + fn1(1/z4) + fn1(1/z5) + fn1(1/z6) + fn1(1/z7) + fn1(1/z8) + fn1(1/z9) + fn1(1/z10) + fn1(1/z11)
  |z| < 36663
}

simon0142-I {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  z2 = z3 = z4 = z5 = z6 = z7 = z8 = z9 = z10 = z11 = z:

  ; perform normal escape time calculation
  ;
  z2 = z2 ^ 2 + p
  z3 = z3 ^ 3 + p
  z4 = z4 ^ 4 + p
  z5 = z5 ^ 5 + p
  z6 = z6 ^ 6 + p
  z7 = z7 ^ 7 + p
  z8 = z8 ^ 8 + p
  z9 = z9 ^ 9 + p
  z10 = z10 ^ 10 + p
  z11 = z11 ^ 11 + p
  z = fn1(1/z2) + fn1(1/z3) + fn1(1/z4) + fn1(1/z5) + fn1(1/z6) + fn1(1/z7) + fn1(1/z8) + fn1(1/z9) + fn1(1/z10) + fn1(1/z11)
  |z2| < 4 || |z3| < 4 || |z4| < 4 || |z5| < 4 || |z6| < 4 || |z7| < 4 || |z8| < 4 || |z9| < 4 || |z10| < 4 || |z11| < 4
}

simon0142-J {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  z2 = z3 = z4 = z5 = z6 = z7 = z8 = z9 = z10 = z11 = z:

  ; perform normal escape time calculation
  ;
  z2 = z2 ^ 2 + p
  z3 = z3 ^ 3 + p
  z4 = z4 ^ 4 + p
  z5 = z5 ^ 5 + p
  z6 = z6 ^ 6 + p
  z7 = z7 ^ 7 + p
  z8 = z8 ^ 8 + p
  z9 = z9 ^ 9 + p
  z10 = z10 ^ 10 + p
  z11 = z11 ^ 11 + p
  z = fn1(1/z2) + fn1(1/z3) + fn1(1/z4) + fn1(1/z5) + fn1(1/z6) + fn1(1/z7) + fn1(1/z8) + fn1(1/z9) + fn1(1/z10) + fn1(1/z11)
  |z2| < 4 && |z3| < 4 && |z4| < 4 && |z5| < 4 && |z6| < 4 && |z7| < 4 && |z8| < 4 && |z9| < 4 && |z10| < 4 && |z11| < 4 
}

simon0142-K {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  z2 = z3 = z4 = z5 = z6 = z7 = z8 = z9 = z10 = z11 = z:

  ; perform normal escape time calculation
  ;
  z2 = z2 ^ 2 + p
  z3 = z3 ^ 3 + p
  z4 = z4 ^ 4 + p
  z5 = z5 ^ 5 + p
  z6 = z6 ^ 6 + p
  z7 = z7 ^ 7 + p
  z8 = z8 ^ 8 + p
  z9 = z9 ^ 9 + p
  z10 = z10 ^ 10 + p
  z11 = z11 ^ 11 + p
  z = fn1(z2) + fn1(z3) + fn1(z4) + fn1(z5) + fn1(z6) + fn1(z7) + fn1(z8) + fn1(z9) + fn1(z10) + fn1(z11)
  z = z * z + p
  |z| < 36663
}

simon0142-L {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  z2 = z3 = z4 = z5 = z6 = z7 = z8 = z9 = z10 = z11 = z:

  ; perform normal escape time calculation
  ;
  z2 = z2 ^ 2 + p
  z3 = z3 ^ 3 + p
  z4 = z4 ^ 4 + p
  z5 = z5 ^ 5 + p
  z6 = z6 ^ 6 + p
  z7 = z7 ^ 7 + p
  z8 = z8 ^ 8 + p
  z9 = z9 ^ 9 + p
  z10 = z10 ^ 10 + p
  z11 = z11 ^ 11 + p

  ; Bailout test
  ;
  |z2| < 4 || |z3| < 4 || |z4| < 4 || |z5| < 4 || |z6| < 4 || |z7| < 4 || |z8| < 4 || |z9| < 4 || |z10| < 4 || |z11| < 4
}

simon0142-M {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  z2 = z3 = z4 = z5 = z6 = z7 = z8 = z9 = z10 = z11 = z:

  ; perform normal escape time calculation
  ;
  z2 = z2 ^ 2 + p
  z3 = z3 ^ 3 + p
  z4 = z4 ^ 4 + p
  z5 = z5 ^ 5 + p
  z6 = z6 ^ 6 + p
  z7 = z7 ^ 7 + p
  z8 = z8 ^ 8 + p
  z9 = z9 ^ 9 + p
  z10 = z10 ^ 10 + p
  z11 = z11 ^ 11 + p
  ;z = fn1(z2) + fn1(z3) + fn1(z4) + fn1(z5) + fn1(z6) + fn1(z7) + fn1(z8) + fn1(z9) + fn1(z10) + fn1(z11)
  |z2| < 4 && |z3| < 4 && |z4| < 4 && |z5| < 4 && |z6| < 4 && |z7| < 4 && |z8| < 4 && |z9| < 4 && |z10| < 4 && |z11| < 4 
}

simon0142-N {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  z2 = z3 = z4 = z5 = z6 = z7 = z8 = z9 = z10 = z11 = z:

  ; perform normal escape time calculation
  ;
  z2 = z2 ^ 2 + p
  z3 = z3 ^ 3 + p
  z4 = z4 ^ 4 + p
  z5 = z5 ^ 5 + p
  z6 = z6 ^ 6 + p
  z7 = z7 ^ 7 + p
  z8 = z8 ^ 8 + p
  z9 = z9 ^ 9 + p
  z10 = z10 ^ 10 + p
  z11 = z11 ^ 11 + p
  z = (z2+z3+z4+z5+z6+z7+z8+z9+z10+z11)*0.1
  |z| < 4
}

simon0143-A {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = flip(imag(z^3)) + (real(z^(-1))) + p
  |z| < 4
}

simon0143-B {
  ; conditional mandel/julia assignments
  ;
  rp = real(p2)
  ip = imag(p2)

  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:

  ; perform separate escape
  ; time calculations
  ;
  x = real(z ^ rp)
  y = imag(z ^ ip)
  z = flip(y) + x + p

  |z| < 4
}

simon0144-A {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:

  ; perform separate escape
  ; time calculations
  ;
  x = sin(real(z))+flip(imag(z))
  x = x * x
  y = real(z)+flip(sin(imag(z)))
  y = y * y
  z = (flip(imag(y)) + real(x))
  z = z * z + p

  |z| < 4
}

simon0144-B {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:

  ; perform separate escape
  ; time calculations
  ;
  x = fn1(real(z))+flip(imag(z))
  x = x * x
  y = real(z)+flip(fn1(imag(z)))
  y = y * y
  z = (flip(imag(y)) + real(x))
  z = z * z + p

  |z| < 4
}

simon0144-C {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:

  ; perform separate escape
  ; time calculations
  ;
  x = real(fn1(z))+flip(imag(z))
  x = x * x
  y = real(z)+flip(imag(fn1(z)))
  y = y * y
  z = (flip(imag(y)) + real(x))
  z = z * z + p

  |z| < 4
}

simon0144-D {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = 0-flip(pixel)
    z = 0-flip(p)
  else
    p = 0-flip(p1)
    z = 0-flip(pixel)
  endif:

  ; perform separate escape
  ; time calculations
  ;
  x = real(fn1(z))+flip(imag(z))
  x = 1/(x * x)
  y = real(z)+flip(imag(fn1(z)))
  y = y * y
  z = (flip(imag(y)) + real(x))
  z = z * z + p

  |z| < 4
}

simon0145-A {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = z - (1/z)
  z = z * z + p
  |z| < 4
}

simon0145-B {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  z1 = flip(z):
  z = z - (1/z)
  z = z * z + p
  z1 = z1 - (1/z1)
  z1 = z1 * z1 + p
  |z| < 4 || |z1| < 4
}

simon0145-C {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  z1 = flip(z):
  z = z - (1/z)
  z = z * z + p
  z1 = z1 - (1/z1)
  z1 = z1 * z1 + p
  |z| < 4 && |z1| < 4
}

simon0146-A {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  x = 0-real(z)
  y = imag(z)
  z1 = x + flip(y):
  z = z * z + p
  z1 = z1 * z1 + p
  |z| < 4 && |z1| < 4
}

simon0146-B {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  x = 0-real(z)
  y = imag(z)
  z1 = x + flip(y)
  z2 = z:
  z1 = z1 * z1 + p
  z2 = z2 * z2 + p
  z = (z1 * z2) / 2
  |z| < 4
}

simon0146-C {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  x = 0-real(z)
  y = imag(z)
  z1 = x + flip(y)
  z2 = z:
  z1 = z1 * z1 + p
  z2 = z2 * z2 + p
  z = z1 ^ z2
  |z| < 4
}

simon0147-A {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    c1 = pixel
    c2 = 0-pixel
    z1 = c1
    z2 = c2
  else
    c1 = p1
    c2 = 0-p1
    z1 = pixel
    z2 = 0-pixel
  endif:
  z1 = z1 * z1 + c1
  z2 = z2 * z2 + c2
  z  = (z1 + z2) / 2
  |z| < 4
}

simon0147-B {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    c1 = pixel
    c2 = 0-pixel
    z1 = c1
    z2 = c2
  else
    c1 = p1
    c2 = 0-p1
    z1 = pixel
    z2 = 0-pixel
  endif:
  z1 = z1 * z1 + c1
  z2 = z2 * z2 + c2
  z  = sqr(z1 + z2)
  |z| < 4
}

simon0147-C {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    c1 = pixel
    c2 = 0-pixel
    z1 = c1
    z2 = c2
  else
    c1 = p1
    c2 = 0-p1
    z1 = pixel
    z2 = 0-pixel
  endif:
  z1 = z1 * z1 + c1
  z2 = z2 * z2 + c2
  z  = fn1(z1 + z2)
  |z| < 4
}

simon0147-D {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    c1 = pixel
    c2 = 0-pixel
    z1 = c1
    z2 = c2
  else
    c1 = p1
    c2 = 0-p1
    z1 = pixel
    z2 = 0-pixel
  endif:
  z1 = z1 * z1 + c1
  z2 = z2 * z2 + c2
  z  = z1 ^ z2
  |z| < 4
}

simon0147-E {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    c1 = pixel
    c2 = 0-pixel
    z1 = c1
    z2 = c2
  else
    c1 = p1
    c2 = 0-p1
    z1 = pixel
    z2 = 0-pixel
  endif:
  z1 = z1 * z1 + c1
  z2 = z2 * z2 + c2
  z  = z1 / z2
  |z| < 4
}

simon0147-F {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    c1 = pixel
    c2 = 0-pixel
    z1 = c1
    z2 = c2
  else
    c1 = p1
    c2 = 0-p1
    z1 = pixel
    z2 = 0-pixel
  endif:
  z1 = z1 * z1 + c1
  z2 = z2 * z2 + c2
  |z1| < 4 || |z2| < 4
}

simon0147-G {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    c1 = pixel
    c2 = 0-pixel
    z1 = c1
    z2 = c2
  else
    c1 = p1
    c2 = 0-p1
    z1 = pixel
    z2 = 0-pixel
  endif:
  z1 = z1 * z1 + c1
  z2 = z2 * z2 + c2
  |z1| > 0.005 && |z2| > 0.005
}

simon0147-H {
  ; conditional mandel/julia assignments
  ;
  if (ismand)
    c1 = pixel
    c2 = 0-pixel
    z1 = c1
    z2 = c2
  else
    c1 = p1
    c2 = 0-p1
    z1 = pixel
    z2 = 0-pixel
  endif:
  z1 = z1 * z1 + c1
  z2 = z2 * z2 + c2
  (|z1| < |z2|) || (|z1| > |z2|)
}

simon0148-A {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  count = 0:
  oz = z
  nz = z * z + c
  z = z + oz - nz
  count = count + 1
  count< 50
}

simon0148-B {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  count = 0:
  oz = z
  nz = z * z * z + c
  z = z + oz - nz
  count = count + 1
  count< 50
}

simon0148-C {
  if (ismand)
    z = c = pixel
  else
    z = pixel
    c = p1
  endif
  count = 0:
  oz = z
  nz = z * z * z * z + c
  z = z + oz - nz
  count = count + 1
  count< 50
}

simon0148-D {
  if (ismand)
    oz = nz = z = c = pixel
  else
    oz = nz = z = pixel
    c = p1
  endif
  count = 0:
  oz = nz
  nz = nz * nz + c
  z = oz - nz
  count = count + 1
  count< 50
}

simon0148-E {
  if (ismand)
    oz = nz = z = c = pixel
  else
    oz = nz = z = pixel
    c = p1
  endif
  count = 0:
  oz = nz
  nz = nz * nz * nz + c
  z = oz - nz
  count = count + 1
  count< 50
}

simon0148-F {
  if (ismand)
    oz = nz = z = c = pixel
  else
    oz = nz = z = pixel
    c = p1
  endif
  count = 0:
  oz = nz
  nz = nz * nz * nz * nz + c
  z = oz - nz
  count = count + 1
  count< 50
}

simon0149-A {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  flag = 1:

  if (flag==2)
    ;zt = zt * 0.99
    z = z * 0.9
    if (z <= 0)
      flag = 3
    endif
  endif

  if (flag==1)
    z = z * z + p
    zt = |z|
    if (zt >= 4)
      flag = 2
      z = abs(z)
    endif
  endif
  flag<3
}

simon0149-B {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  flag = 1:

  if (flag==2)
    ;zt = zt * 0.99
    z = z * 1.5
    if (z <= 0)
      flag = 3
    endif
  endif

  if (flag==1)
    z = z * z + p
    zt = |z|
    if (zt >= 4)
      flag = 2
      z = abs(z)
    endif
  endif
  flag<3
}

simon0150-A {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = z * z * abs(z) + p
  |z| <= 4
}

simon0150-B {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = z * abs(z) * abs(z) + p
  |z| <= 4
}

simon0150-C {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = abs(z) * abs(z) * abs(z) + p
  |z| <= 4
}

simon0150-D {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = z * z * z * abs(z) + p
  |z| <= 4
}

simon0150-E {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = z * z * abs(z) * abs(z) + p
  |z| <= 4
}

simon0150-F {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = z * abs(z) * abs(z) * abs(z) + p
  |z| <= 4
}

simon0150-G {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = abs(z) * abs(z) * abs(z) * abs(z) + p
  |z| <= 4
}

simon0150-H {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = abs(z) * abs(z) * abs(z) * abs(z) * abs(z) + p
  |z| <= 4
}

simon0150-I {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = abs(z) * abs(z) * abs(z) * abs(z) * abs(z) * z + p
  |z| <= 4
}

simon0151-A {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = z * z ^ ((z^(-1))^2) + p
  |z| <= 4
}

simon0152-A {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = abs(z * z)*z
  z = z * z + p
  ;z = z * p
  |z| < 4
}

simon0152-B {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = abs(z * z) * (z * z)
  z = z * z + p
  |z| < 4
}

simon0152-C {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  z = abs(z * z) * flip(z * z)
  z = z * z + p
  |z| < 4
}

simon0153-A {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  x = real(z)
  y = imag(z)
  if (x<y)
    z=flip(z)
  endif
  z = z * z + p
  |z| < 4
}

simon0153-B {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  x = real(z)
  y = imag(z)
  if (x>y)
    z=flip(z)
  endif
  z = z * z + p
  |z| < 4
}

simon0154-A {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif:
  x = real(z)
  y = imag(z)
  ;if (x<y)
    z=1/(z*z+p)
  ;else
    z = z * z + p
  ;endif
  |z| < 4
}

simon0154-B {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  t=0:
  x = real(z)
  y = imag(z)
  if (t==1)
    z=1/(z*z+p)
    t=0
  else
    z = z * z + p
    t=1
  endif
  |z| < 4
}

simon0155-A {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  t = 2:
  x = real(z)
  y = imag(z)
  z = z ^ t + p
  if (t==5)
    t = 2
  else
    t = t + 1
  endif
  |z| < 4
}

simon0155-B {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  t = 1:
  if (t==5)
    t = 2
  else
    t = t + 1
  endif
  z = z ^ t + p
  (|z| < 4); || (t < 5)
}

simon0156-A {
  p = pixel
  ; get the screen divided into 10 parts
  ; with values between 0 and 9
  x = (real(p) + 2) * 2.25
  y = 10-((imag(p) + 1.5) * 3)
  t = ceil(y)*ceil(x):
  t = t - 1
  ; bailout once t is zero
  t > 0
}

simon0156-B {
  p = pixel
  ; get the screen divided into 10 parts
  ; with values between 0 and 9
  x = (real(p) + 2) * 2.25
  y = 10-((imag(p) + 1.5) * 3)
  t = fn1(y)*(fn2(x))
  u = fn3(y)*(fn4(x)):
  t = t - 1
  u = u - 1
  ; bailout once t is zero
  (t > 0) || (u > 0)
}

simon0156-C {
  p = pixel
  ; get the screen divided into 10 parts
  ; with values between 0 and 9
  x = (real(p) + 2) * 2.25
  y = 10 - ((imag(p) + 1.5) * 3)
  t = fn1(y)*(fn2(x))
  u = fn3(y)*(fn4(x))
  z = flip(u) + t
  c = 0:
  if (c == 0)
    z = z * z + p
    if (|z|>4)
      z = |z| ; * 10
      c = 1
    endif
  else
    t = t - 1
    u = u - 1
    z = z - 1
    if (t + u + z < -10)
      c = 2
    endif
  endif
  ; bailout once t + u are zero
  c < 2
}

simon0156-D {
  p = pixel
  ; get the screen divided into 10 parts
  ; with values between 0 and 9
  x = (real(p)) * 2.25
  y = (imag(p)) * 3
  t = fn1(y)*(fn2(x))
  u = fn3(y)*(fn4(x))
  z = flip(u) + t
  c = 0:
  if (c == 0)
    z = z * z + p
    if (|z|>4)
      z = |z| ; * 10
      c = 1
    endif
  else
    t = t - 1
    u = u - 1
    z = z - 1
    if (t + u + z < -10)
      c = 2
    endif
  endif
  ; bailout once t + u are zero
  c < 2
}

simon0157-A {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  type = -1 :
  if (type == -1)
    z = z * z + p
  else
    z = z / z ^ (1 - z) - p
  endif
  type = 0 - type
  |z| < 4
}

simon0157-B {
  if (ismand)
    p = pixel
    z = p
  else
    p = p1
    z = pixel
  endif
  type = -1 :
  if (type == -1)
    z = z * z + p
  else
    z = fn1(z * fn2(z))
  endif
  type = 0 - type
  |z| < 4
}

simon0158-A {
  p = pixel
  x = abs(real(pixel))
  y = abs(imag(pixel))
  z = p:
  if (z < 1)
    z = z * (x+flip(y))
  endif
  z = z * z + p
  |z| < 40
}

simon0158-B {
  p = pixel
  x = abs(real(pixel))
  y = abs(imag(pixel))
  z = p:
  if (z > 1)
    z = z * (x+flip(y))
  endif
  z = z * z + p
  |z| < 40
}

simon0158-C {
  p = pixel
  x = real(p)
  px = abs(x)
  y = imag(p)
  py = abs(y)
  z = p:
  if (z > 1)
    z = z * (x+flip(y))
  endif
  z = z * z + p
  |z| < 40
}

simon0158-D {
  p = pixel
  x = real(p)
  px = abs(x)
  y = imag(p)
  py = abs(y)
  z = p:
  if (z > 1)
    z = z / (x+flip(y))
  endif
  z = z * z + p * abs(p)
  |z| < 40
}

simon0158-E {
  p = pixel
  x = real(p)
  px = abs(x)
  y = imag(p)
  py = abs(y)
  x = x * px
  y = y * py
  p = x + flip(y)
  z = p:
  z = z * z + p
  |z| < 40
}

simon0159-A {
  if (ismand)
    z = p = pixel
  else
    z = pixel
    p = p1
  endif:
  z = z * z + p
  x = real(z)
  y = imag(z)
  if (x < 0)
    x=p-x
  else
    x=p+x
  endif
  if (y < 0)
    y=p-y
  else
    y=p+y
  endif
  z = x + flip(y)
  |z| < 4
}

simon0159-B {
  if (ismand)
    z = p = pixel
  else
    z = pixel
    p = p1
  endif
  ip = imag(p)
  rp = real(p):
  z = z * z + p
  x = real(z)
  y = imag(z)
  if (x < 0)
    x=x+rp
  else
    x=x-rp
  endif
  if (y < 0)
    y=y+ip
  else
    y=y-ip
  endif
  z = x + flip(y)
  |z| < 4
}

simon0159-C {
  if (ismand)
    z = p = pixel
  else
    z = pixel
    p = p1
  endif
  ip = imag(p)
  rp = real(p):
  z = z * z
  x = real(z)
  y = imag(z)
  if (x < 0)
    x=x*abs(x)+rp
  else
    x=x*abs(x)-rp
  endif
  if (y < 0)
    y=y*abs(y)+ip
  else
    y=y*abs(y)-ip
  endif
  z = x + flip(y)
  |z| < 4
}

simon0159-D {
  if (ismand)
    z = p = pixel
  else
    z = pixel
    p = p1
  endif
  ip = imag(p)
  rp = real(p):
  z = z * z + p
  x = real(z)
  y = imag(z)
  if (x < 0)
    x=x*(abs(x)+rp)
  else
    x=x*(abs(x)-rp)
  endif
  if (y < 0)
    y=y*(abs(y)+ip)
  else
    y=y*(abs(y)-ip)
  endif
  z = x + flip(y)
  z = z * z * z + p
  |z| < 4
}

simon0160-A {
  if (ismand)
    p = pixel
    z = p
  else
    z = pixel
    p = p1
  endif:
  z = ((z^2+p)/((1/(z^6))+(1/p)))+p+7
  |z| < 4000
}

simon0161-A {
  if (ismand)
    p = pixel
    z = p
  else
    z = pixel
    p = p1
  endif:
  z = z^p-p
  z = z * z + p
  |z| < 4
}

simon0161-B {
  if (ismand)
    p = pixel
    z = p
  else
    z = pixel
    p = p1
  endif:
  z = z^p+p
  z = z * z + p
  |z| < 4
}

simon0161-C {
  if (ismand)
    p = pixel
    z = p
  else
    z = pixel
    p = p1
  endif:
  z = (((z^2)-z)^2)+p
  |z| < 4
}

simon0161-D {
  if (ismand)
    p = 0 - flip(pixel)
    z = p
  else
    z = 0 - flip(pixel)
    p = p1
  endif:
  z = (((z^3)+z)^2)+p
  |z| < 4
}

simon0161-E {
  if (ismand)
    p = 0 - flip(pixel)
    z = p
  else
    z = 0 - flip(pixel)
    p = p1
  endif:
  z = abs(((z^3)+z)^2)+p
  |z| < 4
}

simon0162-A {
  if (ismand)
    p = pixel
    z = p
  else
    z = pixel
    p = p1
  endif:
  p = -1 * p
  z = z * z + p
  |z| < 4
}

simon0162-B {
  if (ismand)
    p = pixel
    z = p
  else
    z = pixel
    p = p1
  endif:
  p = 1 / p
  z = z * z + p
  |z| < 4
}

simon0162-C {
  if (ismand)
    p = pixel
    z = p
  else
    z = pixel
    p = p1
  endif:
  p = flip(p)
  z = z * z + p
  |z| < 4
}

simon0162-D {
  if (ismand)
    p = pixel
    z = p
  else
    z = pixel
    p = p1
  endif
  loop = 1:
  if (loop==2)
    p = -1 * p
  endif
  if (loop==1)
    p = 1 / p
  endif
  z = z * z + p
  loop = loop + 1
  if (loop==3)
    loop=1
  endif
  |z| < 4
}

simon0162-E {
  if (ismand)
    p = pixel
    z = p
  else
    z = pixel
    p = p1
  endif
  loop = 1:
  if (loop==2)
    p = flip(p)
  endif
  if (loop==1)
    p = -1 * p
  endif
  z = z * z + p
  loop = loop + 1
  if (loop==3)
    loop=1
  endif
  |z| < 4
}

simon0162-F {
  if (ismand)
    p = pixel
    z = p
  else
    z = pixel
    p = p1
  endif
  loop = 1:
  if (loop==2)
    p = flip(p)
  endif
  if (loop==1)
    p = 1 / p
  endif
  z = z * z + p
  loop = loop + 1
  if (loop==3)
    loop=1
  endif
  |z| < 4
}

simon0163-A {
  if (ismand)
    p = pixel
    z = p
  else
    z = pixel
    p = p1
  endif:
  z = z - abs(p)
  z = z * z + (0 - abs(p))
  |z| < 4
}

simon0164-A {
  if (ismand)
    p = pixel
    z = p
  else
    z = pixel
    p = p1
  endif:
  z = abs(z) * z - abs(z)
  z = z * z + p
  |z| < 4
}

simon0164-B {
  if (ismand)
    p = pixel
    z = p
  else
    z = pixel
    p = p1
  endif:
  z = abs(z) * abs(z) * abs(z) * abs(z) * z * z * z * z + p
  |z| < 4
}
